﻿// <file>
//     <copyright see="prj:///doc/copyright.txt"/>
//     <license see="prj:///doc/license.txt"/>
//     <owner name="Matthew Ward" email="mrward@users.sourceforge.net"/>
//     <version>$Revision$</version>
// </file>

namespace PacketMonitor
{
	partial class MainForm
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() 
		{
			this.FilterTextBox = new System.Windows.Forms.TextBox();
			this.UseWinPcapRadioButton = new System.Windows.Forms.RadioButton();
			this.ClearButton = new System.Windows.Forms.Button();
			this.PacketCaptureTypeGroupBox = new System.Windows.Forms.GroupBox();
			this.NetworkInterfaceComboBox = new System.Windows.Forms.ComboBox();
			this.DiagnosticsTextBox = new System.Windows.Forms.TextBox();
			this.UseRawSocketsRadioButton = new System.Windows.Forms.RadioButton();
			this.NetworkInterfaceLabel = new System.Windows.Forms.Label();
			this.FilterLabel = new System.Windows.Forms.Label();
			this.ApplyButton = new System.Windows.Forms.Button();
			this.BottomPanel = new System.Windows.Forms.Panel();
			this.TopPanel = new System.Windows.Forms.Panel();
			this.PacketCaptureTypeGroupBox.SuspendLayout();
			this.BottomPanel.SuspendLayout();
			this.TopPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// FilterTextBox
			// 
			this.FilterTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.FilterTextBox.Location = new System.Drawing.Point(48, 8);
			this.FilterTextBox.Name = "FilterTextBox";
			this.FilterTextBox.Size = new System.Drawing.Size(376, 20);
			this.FilterTextBox.TabIndex = 1;
			this.FilterTextBox.Text = "tcp port 7002";
			this.FilterTextBox.TextChanged += new System.EventHandler(this.FilterTextBox_TextChanged);
			// 
			// UseWinPcapRadioButton
			// 
			this.UseWinPcapRadioButton.Checked = true;
			this.UseWinPcapRadioButton.Location = new System.Drawing.Point(8, 16);
			this.UseWinPcapRadioButton.Name = "UseWinPcapRadioButton";
			this.UseWinPcapRadioButton.Size = new System.Drawing.Size(80, 16);
			this.UseWinPcapRadioButton.TabIndex = 0;
			this.UseWinPcapRadioButton.TabStop = true;
			this.UseWinPcapRadioButton.Text = "WinPcap";
			this.UseWinPcapRadioButton.CheckedChanged += new System.EventHandler(this.UseWinPcapRadioButtonCheckedChanged);
			// 
			// ClearButton
			// 
			this.ClearButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.ClearButton.Location = new System.Drawing.Point(432, 40);
			this.ClearButton.Name = "ClearButton";
			this.ClearButton.Size = new System.Drawing.Size(64, 24);
			this.ClearButton.TabIndex = 3;
			this.ClearButton.Text = "Clear";
			this.ClearButton.Click += new System.EventHandler(this.ClearButtonClick);
			// 
			// PacketCaptureTypeGroupBox
			// 
			this.PacketCaptureTypeGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.PacketCaptureTypeGroupBox.Controls.Add(this.UseRawSocketsRadioButton);
			this.PacketCaptureTypeGroupBox.Controls.Add(this.UseWinPcapRadioButton);
			this.PacketCaptureTypeGroupBox.Location = new System.Drawing.Point(8, 32);
			this.PacketCaptureTypeGroupBox.Name = "PacketCaptureTypeGroupBox";
			this.PacketCaptureTypeGroupBox.Size = new System.Drawing.Size(416, 40);
			this.PacketCaptureTypeGroupBox.TabIndex = 4;
			this.PacketCaptureTypeGroupBox.TabStop = false;
			// 
			// NetworkInterfaceComboBox
			// 
			this.NetworkInterfaceComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.NetworkInterfaceComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.NetworkInterfaceComboBox.Location = new System.Drawing.Point(112, 80);
			this.NetworkInterfaceComboBox.Name = "NetworkInterfaceComboBox";
			this.NetworkInterfaceComboBox.Size = new System.Drawing.Size(312, 21);
			this.NetworkInterfaceComboBox.TabIndex = 5;
			this.NetworkInterfaceComboBox.SelectedIndexChanged += new System.EventHandler(this.NetworkInterfaceComboBoxSelectedIndexChanged);
			// 
			// DiagnosticsTextBox
			// 
			this.DiagnosticsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.DiagnosticsTextBox.Font = new System.Drawing.Font("Courier New", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.DiagnosticsTextBox.Location = new System.Drawing.Point(8, 8);
			this.DiagnosticsTextBox.Multiline = true;
			this.DiagnosticsTextBox.Name = "DiagnosticsTextBox";
			this.DiagnosticsTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.DiagnosticsTextBox.Size = new System.Drawing.Size(488, 248);
			this.DiagnosticsTextBox.TabIndex = 0;
			this.DiagnosticsTextBox.Text = "";
			// 
			// UseRawSocketsRadioButton
			// 
			this.UseRawSocketsRadioButton.Location = new System.Drawing.Point(104, 16);
			this.UseRawSocketsRadioButton.Name = "UseRawSocketsRadioButton";
			this.UseRawSocketsRadioButton.Size = new System.Drawing.Size(96, 16);
			this.UseRawSocketsRadioButton.TabIndex = 1;
			this.UseRawSocketsRadioButton.Text = "Raw Sockets";
			this.UseRawSocketsRadioButton.CheckedChanged += new System.EventHandler(this.UseRawSocketsRadioButtonCheckedChanged);
			// 
			// NetworkInterfaceLabel
			// 
			this.NetworkInterfaceLabel.Location = new System.Drawing.Point(8, 80);
			this.NetworkInterfaceLabel.Name = "NetworkInterfaceLabel";
			this.NetworkInterfaceLabel.Size = new System.Drawing.Size(96, 16);
			this.NetworkInterfaceLabel.TabIndex = 6;
			this.NetworkInterfaceLabel.Text = "Network Interface";
			// 
			// FilterLabel
			// 
			this.FilterLabel.Location = new System.Drawing.Point(8, 8);
			this.FilterLabel.Name = "FilterLabel";
			this.FilterLabel.Size = new System.Drawing.Size(40, 16);
			this.FilterLabel.TabIndex = 0;
			this.FilterLabel.Text = "Filter:";
			// 
			// ApplyButton
			// 
			this.ApplyButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.ApplyButton.Enabled = false;
			this.ApplyButton.Location = new System.Drawing.Point(432, 8);
			this.ApplyButton.Name = "ApplyButton";
			this.ApplyButton.Size = new System.Drawing.Size(64, 24);
			this.ApplyButton.TabIndex = 2;
			this.ApplyButton.Text = "Apply";
			this.ApplyButton.Click += new System.EventHandler(this.ApplyButton_Click);
			// 
			// BottomPanel
			// 
			this.BottomPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.BottomPanel.Controls.Add(this.DiagnosticsTextBox);
			this.BottomPanel.Location = new System.Drawing.Point(0, 104);
			this.BottomPanel.Name = "BottomPanel";
			this.BottomPanel.Size = new System.Drawing.Size(504, 264);
			this.BottomPanel.TabIndex = 2;
			// 
			// TopPanel
			// 
			this.TopPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.TopPanel.Controls.Add(this.NetworkInterfaceLabel);
			this.TopPanel.Controls.Add(this.NetworkInterfaceComboBox);
			this.TopPanel.Controls.Add(this.PacketCaptureTypeGroupBox);
			this.TopPanel.Controls.Add(this.ClearButton);
			this.TopPanel.Controls.Add(this.ApplyButton);
			this.TopPanel.Controls.Add(this.FilterTextBox);
			this.TopPanel.Controls.Add(this.FilterLabel);
			this.TopPanel.Location = new System.Drawing.Point(0, 0);
			this.TopPanel.Name = "TopPanel";
			this.TopPanel.Size = new System.Drawing.Size(504, 104);
			this.TopPanel.TabIndex = 1;
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(504, 366);
			this.Controls.Add(this.BottomPanel);
			this.Controls.Add(this.TopPanel);
			this.Name = "MainForm";
			this.Text = "Packet Monitor";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.MainForm_Closing);
			this.PacketCaptureTypeGroupBox.ResumeLayout(false);
			this.BottomPanel.ResumeLayout(false);
			this.TopPanel.ResumeLayout(false);
			this.ResumeLayout(false);
		}

		private System.Windows.Forms.Panel TopPanel;
		private System.Windows.Forms.Panel BottomPanel;
		private System.Windows.Forms.Button ApplyButton;
		private System.Windows.Forms.Label FilterLabel;
		private System.Windows.Forms.Label NetworkInterfaceLabel;
		private System.Windows.Forms.RadioButton UseRawSocketsRadioButton;
		private System.Windows.Forms.TextBox DiagnosticsTextBox;
		private System.Windows.Forms.ComboBox NetworkInterfaceComboBox;
		private System.Windows.Forms.GroupBox PacketCaptureTypeGroupBox;
		private System.Windows.Forms.Button ClearButton;
		private System.Windows.Forms.RadioButton UseWinPcapRadioButton;
		private System.Windows.Forms.TextBox FilterTextBox;
	}
}
