﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004-2009 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

namespace SoapTrace.Core.Gui
{
	partial class SoapMessageFormatterConfigForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.BottomPanel = new System.Windows.Forms.Panel();
			this.ParametersGroupBox = new System.Windows.Forms.GroupBox();
			this.DisplayParameterCheckBox = new System.Windows.Forms.CheckBox();
			this.ParametersListBox = new System.Windows.Forms.ListBox();
			this.AddWebServiceButton = new System.Windows.Forms.Button();
			this.DisplayReturnValueCheckBox = new System.Windows.Forms.CheckBox();
			this.PropertiesPanel = new System.Windows.Forms.Panel();
			this.ReturnValuesListBox = new System.Windows.Forms.ListBox();
			this.ParameterTypeComboBox = new System.Windows.Forms.ComboBox();
			this.ReturnValueTypeComboBox = new System.Windows.Forms.ComboBox();
			this.UrlLabel = new System.Windows.Forms.Label();
			this.TreeViewPanel = new System.Windows.Forms.Panel();
			this.ParameterNameTextBox = new System.Windows.Forms.TextBox();
			this.WebServiceOperationNameTextBox = new System.Windows.Forms.TextBox();
			this.FormOKButton = new System.Windows.Forms.Button();
			this.OperationTextBox = new System.Windows.Forms.Label();
			this.Splitter = new System.Windows.Forms.Splitter();
			this.ReturnValueNameTextBox = new System.Windows.Forms.TextBox();
			this.TopPanel = new System.Windows.Forms.Panel();
			this.WebServicesTreeView = new System.Windows.Forms.TreeView();
			this.ReturnValuesGroupBox = new System.Windows.Forms.GroupBox();
			this.UrlTextBox = new System.Windows.Forms.TextBox();
			this.FormCancelButton = new System.Windows.Forms.Button();
			this.BottomPanel.SuspendLayout();
			this.ParametersGroupBox.SuspendLayout();
			this.PropertiesPanel.SuspendLayout();
			this.TreeViewPanel.SuspendLayout();
			this.TopPanel.SuspendLayout();
			this.ReturnValuesGroupBox.SuspendLayout();
			this.SuspendLayout();
			// 
			// BottomPanel
			// 
			this.BottomPanel.Controls.Add(this.FormOKButton);
			this.BottomPanel.Controls.Add(this.FormCancelButton);
			this.BottomPanel.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.BottomPanel.Location = new System.Drawing.Point(0, 296);
			this.BottomPanel.Name = "BottomPanel";
			this.BottomPanel.Size = new System.Drawing.Size(520, 40);
			this.BottomPanel.TabIndex = 12;
			// 
			// ParametersGroupBox
			// 
			this.ParametersGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.ParametersGroupBox.Controls.Add(this.ParameterTypeComboBox);
			this.ParametersGroupBox.Controls.Add(this.DisplayParameterCheckBox);
			this.ParametersGroupBox.Controls.Add(this.ParameterNameTextBox);
			this.ParametersGroupBox.Controls.Add(this.ParametersListBox);
			this.ParametersGroupBox.Location = new System.Drawing.Point(8, 32);
			this.ParametersGroupBox.Name = "ParametersGroupBox";
			this.ParametersGroupBox.Size = new System.Drawing.Size(248, 144);
			this.ParametersGroupBox.TabIndex = 7;
			this.ParametersGroupBox.TabStop = false;
			this.ParametersGroupBox.Text = "Parameters";
			// 
			// DisplayParameterCheckBox
			// 
			this.DisplayParameterCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.DisplayParameterCheckBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.DisplayParameterCheckBox.Location = new System.Drawing.Point(104, 72);
			this.DisplayParameterCheckBox.Name = "DisplayParameterCheckBox";
			this.DisplayParameterCheckBox.Size = new System.Drawing.Size(136, 24);
			this.DisplayParameterCheckBox.TabIndex = 11;
			this.DisplayParameterCheckBox.Text = "Display";
			this.DisplayParameterCheckBox.CheckedChanged += new System.EventHandler(this.DisplayParameterCheckBoxCheckedChanged);
			// 
			// ParametersListBox
			// 
			this.ParametersListBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.ParametersListBox.Location = new System.Drawing.Point(8, 17);
			this.ParametersListBox.Name = "ParametersListBox";
			this.ParametersListBox.Size = new System.Drawing.Size(88, 95);
			this.ParametersListBox.TabIndex = 8;
			this.ParametersListBox.SelectedIndexChanged += new System.EventHandler(this.ParametersListBoxSelectedIndexChanged);
			// 
			// AddWebServiceButton
			// 
			this.AddWebServiceButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.AddWebServiceButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.AddWebServiceButton.Location = new System.Drawing.Point(208, 264);
			this.AddWebServiceButton.Name = "AddWebServiceButton";
			this.AddWebServiceButton.Size = new System.Drawing.Size(32, 24);
			this.AddWebServiceButton.TabIndex = 15;
			this.AddWebServiceButton.Text = "Add";
			this.AddWebServiceButton.Click += new System.EventHandler(this.AddWebServiceButtonClick);
			// 
			// DisplayReturnValueCheckBox
			// 
			this.DisplayReturnValueCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.DisplayReturnValueCheckBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.DisplayReturnValueCheckBox.Location = new System.Drawing.Point(104, 72);
			this.DisplayReturnValueCheckBox.Name = "DisplayReturnValueCheckBox";
			this.DisplayReturnValueCheckBox.Size = new System.Drawing.Size(136, 24);
			this.DisplayReturnValueCheckBox.TabIndex = 11;
			this.DisplayReturnValueCheckBox.Text = "Display";
			this.DisplayReturnValueCheckBox.CheckedChanged += new System.EventHandler(this.DisplayReturnValueCheckBoxCheckedChanged);
			// 
			// PropertiesPanel
			// 
			this.PropertiesPanel.Controls.Add(this.ReturnValuesGroupBox);
			this.PropertiesPanel.Controls.Add(this.ParametersGroupBox);
			this.PropertiesPanel.Controls.Add(this.OperationTextBox);
			this.PropertiesPanel.Controls.Add(this.WebServiceOperationNameTextBox);
			this.PropertiesPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.PropertiesPanel.Location = new System.Drawing.Point(256, 0);
			this.PropertiesPanel.Name = "PropertiesPanel";
			this.PropertiesPanel.Size = new System.Drawing.Size(264, 296);
			this.PropertiesPanel.TabIndex = 4;
			// 
			// ReturnValuesListBox
			// 
			this.ReturnValuesListBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.ReturnValuesListBox.Location = new System.Drawing.Point(8, 17);
			this.ReturnValuesListBox.Name = "ReturnValuesListBox";
			this.ReturnValuesListBox.Size = new System.Drawing.Size(88, 56);
			this.ReturnValuesListBox.TabIndex = 8;
			this.ReturnValuesListBox.SelectedIndexChanged += new System.EventHandler(this.ReturnValuesListBoxSelectedIndexChanged);
			// 
			// ParameterTypeComboBox
			// 
			this.ParameterTypeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.ParameterTypeComboBox.Location = new System.Drawing.Point(104, 48);
			this.ParameterTypeComboBox.Name = "ParameterTypeComboBox";
			this.ParameterTypeComboBox.Size = new System.Drawing.Size(136, 21);
			this.ParameterTypeComboBox.TabIndex = 10;
			this.ParameterTypeComboBox.TextChanged += new System.EventHandler(this.ParameterTypeComboBoxTextChanged);
			// 
			// ReturnValueTypeComboBox
			// 
			this.ReturnValueTypeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.ReturnValueTypeComboBox.Location = new System.Drawing.Point(104, 48);
			this.ReturnValueTypeComboBox.Name = "ReturnValueTypeComboBox";
			this.ReturnValueTypeComboBox.Size = new System.Drawing.Size(136, 21);
			this.ReturnValueTypeComboBox.TabIndex = 10;
			this.ReturnValueTypeComboBox.TextChanged += new System.EventHandler(this.ReturnValueTypeComboBoxTextChanged);
			// 
			// UrlLabel
			// 
			this.UrlLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
			this.UrlLabel.Location = new System.Drawing.Point(8, 264);
			this.UrlLabel.Name = "UrlLabel";
			this.UrlLabel.Size = new System.Drawing.Size(24, 16);
			this.UrlLabel.TabIndex = 7;
			this.UrlLabel.Text = "Url:";
			// 
			// TreeViewPanel
			// 
			this.TreeViewPanel.Controls.Add(this.AddWebServiceButton);
			this.TreeViewPanel.Controls.Add(this.UrlLabel);
			this.TreeViewPanel.Controls.Add(this.UrlTextBox);
			this.TreeViewPanel.Controls.Add(this.WebServicesTreeView);
			this.TreeViewPanel.Dock = System.Windows.Forms.DockStyle.Left;
			this.TreeViewPanel.Location = new System.Drawing.Point(0, 0);
			this.TreeViewPanel.Name = "TreeViewPanel";
			this.TreeViewPanel.Size = new System.Drawing.Size(248, 296);
			this.TreeViewPanel.TabIndex = 0;
			// 
			// ParameterNameTextBox
			// 
			this.ParameterNameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.ParameterNameTextBox.Location = new System.Drawing.Point(104, 16);
			this.ParameterNameTextBox.Name = "ParameterNameTextBox";
			this.ParameterNameTextBox.ReadOnly = true;
			this.ParameterNameTextBox.Size = new System.Drawing.Size(136, 21);
			this.ParameterNameTextBox.TabIndex = 9;
			this.ParameterNameTextBox.Text = "";
			// 
			// WebServiceOperationNameTextBox
			// 
			this.WebServiceOperationNameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.WebServiceOperationNameTextBox.Location = new System.Drawing.Point(88, 8);
			this.WebServiceOperationNameTextBox.Name = "WebServiceOperationNameTextBox";
			this.WebServiceOperationNameTextBox.ReadOnly = true;
			this.WebServiceOperationNameTextBox.Size = new System.Drawing.Size(168, 21);
			this.WebServiceOperationNameTextBox.TabIndex = 6;
			this.WebServiceOperationNameTextBox.Text = "";
			// 
			// FormOKButton
			// 
			this.FormOKButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.FormOKButton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.FormOKButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.FormOKButton.Location = new System.Drawing.Point(344, 8);
			this.FormOKButton.Name = "FormOKButton";
			this.FormOKButton.Size = new System.Drawing.Size(80, 24);
			this.FormOKButton.TabIndex = 13;
			this.FormOKButton.Text = "OK";
			this.FormOKButton.Click += new System.EventHandler(this.FormOKButtonClick);
			// 
			// OperationTextBox
			// 
			this.OperationTextBox.Location = new System.Drawing.Point(8, 8);
			this.OperationTextBox.Name = "OperationTextBox";
			this.OperationTextBox.Size = new System.Drawing.Size(72, 16);
			this.OperationTextBox.TabIndex = 5;
			this.OperationTextBox.Text = "Operation:";
			// 
			// Splitter
			// 
			this.Splitter.Location = new System.Drawing.Point(248, 0);
			this.Splitter.Name = "Splitter";
			this.Splitter.Size = new System.Drawing.Size(8, 296);
			this.Splitter.TabIndex = 3;
			this.Splitter.TabStop = false;
			// 
			// ReturnValueNameTextBox
			// 
			this.ReturnValueNameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.ReturnValueNameTextBox.Location = new System.Drawing.Point(104, 16);
			this.ReturnValueNameTextBox.Name = "ReturnValueNameTextBox";
			this.ReturnValueNameTextBox.ReadOnly = true;
			this.ReturnValueNameTextBox.Size = new System.Drawing.Size(136, 21);
			this.ReturnValueNameTextBox.TabIndex = 9;
			this.ReturnValueNameTextBox.Text = "";
			// 
			// TopPanel
			// 
			this.TopPanel.Controls.Add(this.PropertiesPanel);
			this.TopPanel.Controls.Add(this.Splitter);
			this.TopPanel.Controls.Add(this.TreeViewPanel);
			this.TopPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.TopPanel.Location = new System.Drawing.Point(0, 0);
			this.TopPanel.Name = "TopPanel";
			this.TopPanel.Size = new System.Drawing.Size(520, 296);
			this.TopPanel.TabIndex = 3;
			// 
			// WebServicesTreeView
			// 
			this.WebServicesTreeView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.WebServicesTreeView.ImageIndex = -1;
			this.WebServicesTreeView.Location = new System.Drawing.Point(4, 8);
			this.WebServicesTreeView.Name = "WebServicesTreeView";
			this.WebServicesTreeView.SelectedImageIndex = -1;
			this.WebServicesTreeView.Size = new System.Drawing.Size(240, 248);
			this.WebServicesTreeView.TabIndex = 1;
			this.WebServicesTreeView.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.WebServicesTreeViewAfterSelect);
			// 
			// ReturnValuesGroupBox
			// 
			this.ReturnValuesGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.ReturnValuesGroupBox.Controls.Add(this.ReturnValueTypeComboBox);
			this.ReturnValuesGroupBox.Controls.Add(this.DisplayReturnValueCheckBox);
			this.ReturnValuesGroupBox.Controls.Add(this.ReturnValueNameTextBox);
			this.ReturnValuesGroupBox.Controls.Add(this.ReturnValuesListBox);
			this.ReturnValuesGroupBox.Location = new System.Drawing.Point(8, 184);
			this.ReturnValuesGroupBox.Name = "ReturnValuesGroupBox";
			this.ReturnValuesGroupBox.Size = new System.Drawing.Size(248, 104);
			this.ReturnValuesGroupBox.TabIndex = 8;
			this.ReturnValuesGroupBox.TabStop = false;
			this.ReturnValuesGroupBox.Text = "Return Value";
			// 
			// UrlTextBox
			// 
			this.UrlTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.UrlTextBox.Location = new System.Drawing.Point(32, 264);
			this.UrlTextBox.Name = "UrlTextBox";
			this.UrlTextBox.Size = new System.Drawing.Size(168, 21);
			this.UrlTextBox.TabIndex = 8;
			this.UrlTextBox.Text = "http://localhost/Test.asmx?WSDL";
			// 
			// FormCancelButton
			// 
			this.FormCancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.FormCancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.FormCancelButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.FormCancelButton.Location = new System.Drawing.Point(432, 8);
			this.FormCancelButton.Name = "FormCancelButton";
			this.FormCancelButton.Size = new System.Drawing.Size(80, 24);
			this.FormCancelButton.TabIndex = 14;
			this.FormCancelButton.Text = "Cancel";
			this.FormCancelButton.Click += new System.EventHandler(this.FormCancelButtonClick);
			// 
			// SoapMessageFormatterConfigForm
			// 
			this.AcceptButton = this.FormOKButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.CancelButton = this.FormCancelButton;
			this.ClientSize = new System.Drawing.Size(520, 336);
			this.Controls.Add(this.TopPanel);
			this.Controls.Add(this.BottomPanel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
			this.MinimumSize = new System.Drawing.Size(464, 328);
			this.Name = "SoapMessageFormatterConfigForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Formatted Soap Parameters Configuration";
			this.Load += new System.EventHandler(this.SoapMessageFormatterConfigFormLoad);
			this.BottomPanel.ResumeLayout(false);
			this.ParametersGroupBox.ResumeLayout(false);
			this.PropertiesPanel.ResumeLayout(false);
			this.TreeViewPanel.ResumeLayout(false);
			this.TopPanel.ResumeLayout(false);
			this.ReturnValuesGroupBox.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		private System.Windows.Forms.Button FormCancelButton;
		private System.Windows.Forms.TextBox UrlTextBox;
		private System.Windows.Forms.GroupBox ReturnValuesGroupBox;
		private System.Windows.Forms.TreeView WebServicesTreeView;
		private System.Windows.Forms.Panel TopPanel;
		private System.Windows.Forms.TextBox ReturnValueNameTextBox;
		private System.Windows.Forms.Splitter Splitter;
		private System.Windows.Forms.Label OperationTextBox;
		private System.Windows.Forms.Button FormOKButton;
		private System.Windows.Forms.TextBox WebServiceOperationNameTextBox;
		private System.Windows.Forms.TextBox ParameterNameTextBox;
		private System.Windows.Forms.Panel TreeViewPanel;
		private System.Windows.Forms.Label UrlLabel;
		private System.Windows.Forms.ComboBox ReturnValueTypeComboBox;
		private System.Windows.Forms.ComboBox ParameterTypeComboBox;
		private System.Windows.Forms.ListBox ReturnValuesListBox;
		private System.Windows.Forms.Panel PropertiesPanel;
		private System.Windows.Forms.CheckBox DisplayReturnValueCheckBox;
		private System.Windows.Forms.Button AddWebServiceButton;
		private System.Windows.Forms.ListBox ParametersListBox;
		private System.Windows.Forms.CheckBox DisplayParameterCheckBox;
		private System.Windows.Forms.GroupBox ParametersGroupBox;
		private System.Windows.Forms.Panel BottomPanel;
	}
}
