﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004-2009 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

namespace SoapTrace
{
	partial class AboutForm : System.Windows.Forms.Form
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AboutForm));
			this.EmailLabel = new System.Windows.Forms.Label();
			this.OKButton = new System.Windows.Forms.Button();
			this.CopyrightLabel = new System.Windows.Forms.Label();
			this.GplLabel3 = new System.Windows.Forms.Label();
			this.GplLabel2 = new System.Windows.Forms.Label();
			this.GplLabel1 = new System.Windows.Forms.Label();
			this.LogoPictureBox = new System.Windows.Forms.PictureBox();
			this.TopPanel = new System.Windows.Forms.Panel();
			this.VersionLabel = new System.Windows.Forms.Label();
			this.TitleLabel = new System.Windows.Forms.Label();
			((System.ComponentModel.ISupportInitialize)(this.LogoPictureBox)).BeginInit();
			this.TopPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// EmailLabel
			// 
			this.EmailLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.EmailLabel.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.World);
			this.EmailLabel.Location = new System.Drawing.Point(16, 364);
			this.EmailLabel.Name = "EmailLabel";
			this.EmailLabel.Size = new System.Drawing.Size(366, 22);
			this.EmailLabel.TabIndex = 6;
			this.EmailLabel.Text = "Matthew Ward (mrward@users.sourceforge.net)";
			// 
			// OKButton
			// 
			this.OKButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.OKButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.OKButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.OKButton.Location = new System.Drawing.Point(304, 421);
			this.OKButton.Name = "OKButton";
			this.OKButton.Size = new System.Drawing.Size(80, 22);
			this.OKButton.TabIndex = 1;
			this.OKButton.Text = "OK";
			this.OKButton.Click += new System.EventHandler(this.OKButtonClick);
			// 
			// CopyrightLabel
			// 
			this.CopyrightLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.CopyrightLabel.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.World);
			this.CopyrightLabel.Location = new System.Drawing.Point(16, 156);
			this.CopyrightLabel.Name = "CopyrightLabel";
			this.CopyrightLabel.Size = new System.Drawing.Size(366, 22);
			this.CopyrightLabel.TabIndex = 2;
			this.CopyrightLabel.Text = "Copyright (c) 2004-2009 Matthew Ward";
			// 
			// GplLabel3
			// 
			this.GplLabel3.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.GplLabel3.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.World);
			this.GplLabel3.Location = new System.Drawing.Point(16, 305);
			this.GplLabel3.Name = "GplLabel3";
			this.GplLabel3.Size = new System.Drawing.Size(366, 52);
			this.GplLabel3.TabIndex = 5;
			this.GplLabel3.Text = "You should have received a copy of the GNU General Public License along with this" +
			" program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, " +
			"Suite 330, Boston, MA  02111-1307  USA";
			// 
			// GplLabel2
			// 
			this.GplLabel2.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.GplLabel2.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.World);
			this.GplLabel2.Location = new System.Drawing.Point(16, 245);
			this.GplLabel2.Name = "GplLabel2";
			this.GplLabel2.Size = new System.Drawing.Size(366, 52);
			this.GplLabel2.TabIndex = 4;
			this.GplLabel2.Text = resources.GetString("GplLabel2.Text");
			// 
			// GplLabel1
			// 
			this.GplLabel1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.GplLabel1.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.World);
			this.GplLabel1.Location = new System.Drawing.Point(16, 186);
			this.GplLabel1.Name = "GplLabel1";
			this.GplLabel1.Size = new System.Drawing.Size(366, 52);
			this.GplLabel1.TabIndex = 3;
			this.GplLabel1.Text = resources.GetString("GplLabel1.Text");
			// 
			// LogoPictureBox
			// 
			this.LogoPictureBox.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.LogoPictureBox.Image = ((System.Drawing.Image)(resources.GetObject("LogoPictureBox.Image")));
			this.LogoPictureBox.Location = new System.Drawing.Point(0, 0);
			this.LogoPictureBox.Name = "LogoPictureBox";
			this.LogoPictureBox.Size = new System.Drawing.Size(392, 104);
			this.LogoPictureBox.TabIndex = 8;
			this.LogoPictureBox.TabStop = false;
			// 
			// TopPanel
			// 
			this.TopPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
									| System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.TopPanel.Controls.Add(this.LogoPictureBox);
			this.TopPanel.Controls.Add(this.VersionLabel);
			this.TopPanel.Controls.Add(this.EmailLabel);
			this.TopPanel.Controls.Add(this.GplLabel3);
			this.TopPanel.Controls.Add(this.GplLabel2);
			this.TopPanel.Controls.Add(this.GplLabel1);
			this.TopPanel.Controls.Add(this.CopyrightLabel);
			this.TopPanel.Controls.Add(this.TitleLabel);
			this.TopPanel.Location = new System.Drawing.Point(0, 0);
			this.TopPanel.Name = "TopPanel";
			this.TopPanel.Size = new System.Drawing.Size(392, 418);
			this.TopPanel.TabIndex = 0;
			// 
			// VersionLabel
			// 
			this.VersionLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.VersionLabel.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.World);
			this.VersionLabel.Location = new System.Drawing.Point(16, 134);
			this.VersionLabel.Name = "VersionLabel";
			this.VersionLabel.Size = new System.Drawing.Size(366, 22);
			this.VersionLabel.TabIndex = 7;
			this.VersionLabel.Text = "Version ";
			// 
			// TitleLabel
			// 
			this.TitleLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.TitleLabel.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.World);
			this.TitleLabel.Location = new System.Drawing.Point(16, 111);
			this.TitleLabel.Name = "TitleLabel";
			this.TitleLabel.Size = new System.Drawing.Size(366, 23);
			this.TitleLabel.TabIndex = 1;
			this.TitleLabel.Text = "SoapTrace.Net";
			// 
			// AboutForm
			// 
			this.AcceptButton = this.OKButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.Control;
			this.CancelButton = this.OKButton;
			this.ClientSize = new System.Drawing.Size(392, 448);
			this.Controls.Add(this.OKButton);
			this.Controls.Add(this.TopPanel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.MinimumSize = new System.Drawing.Size(384, 319);
			this.Name = "AboutForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "About Soap Trace";
			this.TransparencyKey = System.Drawing.Color.Teal;
			((System.ComponentModel.ISupportInitialize)(this.LogoPictureBox)).EndInit();
			this.TopPanel.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		private System.Windows.Forms.Label GplLabel1;
		private System.Windows.Forms.Label TitleLabel;
		private System.Windows.Forms.Label VersionLabel;
		private System.Windows.Forms.Panel TopPanel;
		private System.Windows.Forms.PictureBox LogoPictureBox;
		private System.Windows.Forms.Label GplLabel2;
		private System.Windows.Forms.Label GplLabel3;
		private System.Windows.Forms.Label CopyrightLabel;
		private System.Windows.Forms.Button OKButton;
		private System.Windows.Forms.Label EmailLabel;
	}
}
