﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

namespace SoapTrace
{
	partial class FindTextForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.CancelFindButton = new System.Windows.Forms.Button();
			this.FindNextButton = new System.Windows.Forms.Button();
			this.MatchCaseCheckBox = new System.Windows.Forms.CheckBox();
			this.TextToFindTextBox = new System.Windows.Forms.TextBox();
			this.FindWhatLabel = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// CancelFindButton
			// 
			this.CancelFindButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.CancelFindButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.CancelFindButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.CancelFindButton.Location = new System.Drawing.Point(264, 37);
			this.CancelFindButton.Name = "CancelFindButton";
			this.CancelFindButton.Size = new System.Drawing.Size(80, 22);
			this.CancelFindButton.TabIndex = 3;
			this.CancelFindButton.Text = "Cancel";
			this.CancelFindButton.Click += new System.EventHandler(this.CancelButtonClick);
			// 
			// FindNextButton
			// 
			this.FindNextButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.FindNextButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.FindNextButton.Location = new System.Drawing.Point(264, 7);
			this.FindNextButton.Name = "FindNextButton";
			this.FindNextButton.Size = new System.Drawing.Size(80, 23);
			this.FindNextButton.TabIndex = 2;
			this.FindNextButton.Text = "Find Next";
			this.FindNextButton.Click += new System.EventHandler(this.FindNextButtonClick);
			// 
			// MatchCaseCheckBox
			// 
			this.MatchCaseCheckBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.MatchCaseCheckBox.Location = new System.Drawing.Point(8, 52);
			this.MatchCaseCheckBox.Name = "MatchCaseCheckBox";
			this.MatchCaseCheckBox.Size = new System.Drawing.Size(88, 15);
			this.MatchCaseCheckBox.TabIndex = 4;
			this.MatchCaseCheckBox.Text = "Match case";
			// 
			// TextToFindTextBox
			// 
			this.TextToFindTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.TextToFindTextBox.Location = new System.Drawing.Point(64, 7);
			this.TextToFindTextBox.Name = "TextToFindTextBox";
			this.TextToFindTextBox.Size = new System.Drawing.Size(192, 20);
			this.TextToFindTextBox.TabIndex = 1;
			this.TextToFindTextBox.TextChanged += new System.EventHandler(this.TextToFindFindTextChanged);
			// 
			// FindWhatLabel
			// 
			this.FindWhatLabel.Location = new System.Drawing.Point(0, 7);
			this.FindWhatLabel.Name = "FindWhatLabel";
			this.FindWhatLabel.Size = new System.Drawing.Size(56, 23);
			this.FindWhatLabel.TabIndex = 0;
			this.FindWhatLabel.Text = "Find what:";
			// 
			// FindTextForm
			// 
			this.AcceptButton = this.FindNextButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.CancelFindButton;
			this.ClientSize = new System.Drawing.Size(352, 85);
			this.Controls.Add(this.MatchCaseCheckBox);
			this.Controls.Add(this.CancelFindButton);
			this.Controls.Add(this.FindNextButton);
			this.Controls.Add(this.TextToFindTextBox);
			this.Controls.Add(this.FindWhatLabel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
			this.MinimumSize = new System.Drawing.Size(360, 101);
			this.Name = "FindTextForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Find";
			this.ResumeLayout(false);
			this.PerformLayout();
		}
		private System.Windows.Forms.Label FindWhatLabel;
		private System.Windows.Forms.TextBox TextToFindTextBox;
		private System.Windows.Forms.Button FindNextButton;
		private System.Windows.Forms.CheckBox MatchCaseCheckBox;
		private System.Windows.Forms.Button CancelFindButton;
	}
}
