﻿//
// SoapTrace.Net - A soap message monitoring utility. 
//
// Copyright (C) 2005-2009 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)

namespace SoapTrace
{
	partial class PacketsReceivedForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.CloseButton = new System.Windows.Forms.Button();
			this.PacketBytesTextBox = new System.Windows.Forms.TextBox();
			this.SaveAsButton = new System.Windows.Forms.Button();
			this.ClearButton = new System.Windows.Forms.Button();
			this.PacketsListView = new System.Windows.Forms.ListView();
			this.TimeColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.OpenButton = new System.Windows.Forms.Button();
			this.SequenceNumberColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.FromColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.Splitter = new System.Windows.Forms.Splitter();
			this.PacketBytePanel = new System.Windows.Forms.Panel();
			this.TopPanel = new System.Windows.Forms.Panel();
			this.BytesColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.ToColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.AcknowledgementNumberColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.ControlTypeColumnHeader = new System.Windows.Forms.ColumnHeader();
			this.PacketBytePanel.SuspendLayout();
			this.TopPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// CloseButton
			// 
			this.CloseButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.CloseButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.CloseButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.CloseButton.Location = new System.Drawing.Point(632, 8);
			this.CloseButton.Name = "CloseButton";
			this.CloseButton.Size = new System.Drawing.Size(64, 24);
			this.CloseButton.TabIndex = 3;
			this.CloseButton.Text = "Close";
			// 
			// PacketBytesTextBox
			// 
			this.PacketBytesTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.PacketBytesTextBox.Font = new System.Drawing.Font("Courier New", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.PacketBytesTextBox.Location = new System.Drawing.Point(0, 0);
			this.PacketBytesTextBox.Multiline = true;
			this.PacketBytesTextBox.Name = "PacketBytesTextBox";
			this.PacketBytesTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.PacketBytesTextBox.Size = new System.Drawing.Size(704, 155);
			this.PacketBytesTextBox.TabIndex = 0;
			this.PacketBytesTextBox.Text = "";
			this.PacketBytesTextBox.WordWrap = false;
			// 
			// SaveAsButton
			// 
			this.SaveAsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.SaveAsButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.SaveAsButton.Location = new System.Drawing.Point(632, 72);
			this.SaveAsButton.Name = "SaveAsButton";
			this.SaveAsButton.Size = new System.Drawing.Size(64, 24);
			this.SaveAsButton.TabIndex = 5;
			this.SaveAsButton.Text = "Save As...";
			this.SaveAsButton.Click += new System.EventHandler(this.SaveAsButtonClick);
			// 
			// ClearButton
			// 
			this.ClearButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.ClearButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.ClearButton.Location = new System.Drawing.Point(632, 104);
			this.ClearButton.Name = "ClearButton";
			this.ClearButton.Size = new System.Drawing.Size(64, 24);
			this.ClearButton.TabIndex = 6;
			this.ClearButton.Text = "Clear";
			this.ClearButton.Click += new System.EventHandler(this.ClearButtonClick);
			// 
			// PacketsListView
			// 
			this.PacketsListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
						| System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.PacketsListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
						this.TimeColumnHeader,
						this.BytesColumnHeader,
						this.FromColumnHeader,
						this.ToColumnHeader,
						this.ControlTypeColumnHeader,
						this.SequenceNumberColumnHeader,
						this.AcknowledgementNumberColumnHeader});
			this.PacketsListView.FullRowSelect = true;
			this.PacketsListView.Location = new System.Drawing.Point(0, 0);
			this.PacketsListView.MultiSelect = false;
			this.PacketsListView.Name = "PacketsListView";
			this.PacketsListView.Size = new System.Drawing.Size(624, 192);
			this.PacketsListView.TabIndex = 4;
			this.PacketsListView.View = System.Windows.Forms.View.Details;
			this.PacketsListView.SelectedIndexChanged += new System.EventHandler(this.PacketsListViewSelectedIndexChanged);
			// 
			// TimeColumnHeader
			// 
			this.TimeColumnHeader.Text = "Time";
			this.TimeColumnHeader.Width = 127;
			// 
			// OpenButton
			// 
			this.OpenButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.OpenButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.OpenButton.Location = new System.Drawing.Point(632, 40);
			this.OpenButton.Name = "OpenButton";
			this.OpenButton.Size = new System.Drawing.Size(64, 24);
			this.OpenButton.TabIndex = 7;
			this.OpenButton.Text = "Open...";
			this.OpenButton.Click += new System.EventHandler(this.OpenButtonClick);
			// 
			// SequenceNumberColumnHeader
			// 
			this.SequenceNumberColumnHeader.Text = "Seq No";
			this.SequenceNumberColumnHeader.Width = 81;
			// 
			// FromColumnHeader
			// 
			this.FromColumnHeader.Text = "From";
			this.FromColumnHeader.Width = 100;
			// 
			// Splitter
			// 
			this.Splitter.Dock = System.Windows.Forms.DockStyle.Top;
			this.Splitter.Location = new System.Drawing.Point(0, 192);
			this.Splitter.MinSize = 100;
			this.Splitter.Name = "Splitter";
			this.Splitter.Size = new System.Drawing.Size(704, 4);
			this.Splitter.TabIndex = 1;
			this.Splitter.TabStop = false;
			// 
			// PacketBytePanel
			// 
			this.PacketBytePanel.Controls.Add(this.PacketBytesTextBox);
			this.PacketBytePanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.PacketBytePanel.Location = new System.Drawing.Point(0, 196);
			this.PacketBytePanel.Name = "PacketBytePanel";
			this.PacketBytePanel.Size = new System.Drawing.Size(704, 154);
			this.PacketBytePanel.TabIndex = 2;
			// 
			// TopPanel
			// 
			this.TopPanel.Controls.Add(this.OpenButton);
			this.TopPanel.Controls.Add(this.ClearButton);
			this.TopPanel.Controls.Add(this.SaveAsButton);
			this.TopPanel.Controls.Add(this.PacketsListView);
			this.TopPanel.Controls.Add(this.CloseButton);
			this.TopPanel.Dock = System.Windows.Forms.DockStyle.Top;
			this.TopPanel.Location = new System.Drawing.Point(0, 0);
			this.TopPanel.Name = "TopPanel";
			this.TopPanel.Size = new System.Drawing.Size(704, 192);
			this.TopPanel.TabIndex = 0;
			// 
			// BytesColumnHeader
			// 
			this.BytesColumnHeader.Text = "Bytes";
			// 
			// ToColumnHeader
			// 
			this.ToColumnHeader.Text = "To";
			this.ToColumnHeader.Width = 100;
			// 
			// AcknowledgementNumberColumnHeader
			// 
			this.AcknowledgementNumberColumnHeader.Text = "Ack No";
			this.AcknowledgementNumberColumnHeader.Width = 88;
			// 
			// ControlTypeColumnHeader
			// 
			this.ControlTypeColumnHeader.Text = "Type";
			// 
			// PacketsReceivedForm
			// 
			this.AcceptButton = this.CloseButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.CancelButton = this.CloseButton;
			this.ClientSize = new System.Drawing.Size(704, 350);
			this.Controls.Add(this.PacketBytePanel);
			this.Controls.Add(this.Splitter);
			this.Controls.Add(this.TopPanel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
			this.MinimumSize = new System.Drawing.Size(200, 100);
			this.Name = "PacketsReceivedForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Tcp Packets";
			this.PacketBytePanel.ResumeLayout(false);
			this.TopPanel.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		private System.Windows.Forms.ColumnHeader ControlTypeColumnHeader;
		private System.Windows.Forms.ColumnHeader AcknowledgementNumberColumnHeader;
		private System.Windows.Forms.ColumnHeader ToColumnHeader;
		private System.Windows.Forms.ColumnHeader BytesColumnHeader;
		private System.Windows.Forms.Panel TopPanel;
		private System.Windows.Forms.Panel PacketBytePanel;
		private System.Windows.Forms.Splitter Splitter;
		private System.Windows.Forms.ColumnHeader FromColumnHeader;
		private System.Windows.Forms.ColumnHeader SequenceNumberColumnHeader;
		private System.Windows.Forms.Button OpenButton;
		private System.Windows.Forms.ColumnHeader TimeColumnHeader;
		private System.Windows.Forms.ListView PacketsListView;
		private System.Windows.Forms.Button ClearButton;
		private System.Windows.Forms.Button SaveAsButton;
		private System.Windows.Forms.TextBox PacketBytesTextBox;
		private System.Windows.Forms.Button CloseButton;		
	}
}
