﻿//
// SoapTrace.Net - A soap message monitoring utility. 
//
// Copyright (C) 2004-2009 Matthew Ward
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Matthew Ward (mrward@users.sourceforge.net)

namespace SoapTrace
{
	partial class DebugMessagesForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(DebugMessagesForm));
			this.ClearButton = new System.Windows.Forms.Button();
			this.LogLevelComboBox = new System.Windows.Forms.ComboBox();
			this.LevelLabel = new System.Windows.Forms.Label();
			this.CloseButton = new System.Windows.Forms.Button();
			this.MessagesTextBox = new System.Windows.Forms.TextBox();
			this.MessageCountLabel = new System.Windows.Forms.Label();
			this.LogBytesAsStringCheckBox = new System.Windows.Forms.CheckBox();
			this.MessageCountUpDown = new System.Windows.Forms.NumericUpDown();
			((System.ComponentModel.ISupportInitialize)(this.MessageCountUpDown)).BeginInit();
			this.SuspendLayout();
			// 
			// ClearButton
			// 
			this.ClearButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.ClearButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.ClearButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.ClearButton.Location = new System.Drawing.Point(464, 312);
			this.ClearButton.Name = "ClearButton";
			this.ClearButton.Size = new System.Drawing.Size(48, 22);
			this.ClearButton.TabIndex = 6;
			this.ClearButton.Text = "Clear";
			this.ClearButton.Click += new System.EventHandler(this.ClearButtonClick);
			// 
			// LogLevelComboBox
			// 
			this.LogLevelComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.LogLevelComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.LogLevelComboBox.Location = new System.Drawing.Point(224, 312);
			this.LogLevelComboBox.Name = "LogLevelComboBox";
			this.LogLevelComboBox.Size = new System.Drawing.Size(88, 21);
			this.LogLevelComboBox.TabIndex = 3;
			this.LogLevelComboBox.SelectedIndexChanged += new System.EventHandler(this.LogLevelComboBoxSelectedIndexChanged);
			// 
			// LevelLabel
			// 
			this.LevelLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.LevelLabel.Location = new System.Drawing.Point(184, 312);
			this.LevelLabel.Name = "LevelLabel";
			this.LevelLabel.Size = new System.Drawing.Size(48, 15);
			this.LevelLabel.TabIndex = 2;
			this.LevelLabel.Text = "Level";
			this.LevelLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// CloseButton
			// 
			this.CloseButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.CloseButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.CloseButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.CloseButton.Location = new System.Drawing.Point(520, 312);
			this.CloseButton.Name = "CloseButton";
			this.CloseButton.Size = new System.Drawing.Size(48, 22);
			this.CloseButton.TabIndex = 7;
			this.CloseButton.Text = "Close";
			this.CloseButton.Click += new System.EventHandler(this.CloseButtonClick);
			// 
			// MessagesTextBox
			// 
			this.MessagesTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
									| System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.MessagesTextBox.Location = new System.Drawing.Point(0, 0);
			this.MessagesTextBox.Multiline = true;
			this.MessagesTextBox.Name = "MessagesTextBox";
			this.MessagesTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Both;
			this.MessagesTextBox.Size = new System.Drawing.Size(576, 308);
			this.MessagesTextBox.TabIndex = 0;
			this.MessagesTextBox.WordWrap = false;
			// 
			// MessageCountLabel
			// 
			this.MessageCountLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.MessageCountLabel.Location = new System.Drawing.Point(328, 312);
			this.MessageCountLabel.Name = "MessageCountLabel";
			this.MessageCountLabel.Size = new System.Drawing.Size(80, 15);
			this.MessageCountLabel.TabIndex = 4;
			this.MessageCountLabel.Text = "Message Limit";
			this.MessageCountLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// LogBytesAsStringCheckBox
			// 
			this.LogBytesAsStringCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.LogBytesAsStringCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.LogBytesAsStringCheckBox.Location = new System.Drawing.Point(40, 310);
			this.LogBytesAsStringCheckBox.Name = "LogBytesAsStringCheckBox";
			this.LogBytesAsStringCheckBox.Size = new System.Drawing.Size(128, 24);
			this.LogBytesAsStringCheckBox.TabIndex = 1;
			this.LogBytesAsStringCheckBox.Text = "Log Bytes as String";
			this.LogBytesAsStringCheckBox.TextAlign = System.Drawing.ContentAlignment.TopLeft;
			this.LogBytesAsStringCheckBox.CheckedChanged += new System.EventHandler(this.LogBytesAsStringCheckBoxCheckedChanged);
			// 
			// MessageCountUpDown
			// 
			this.MessageCountUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.MessageCountUpDown.Location = new System.Drawing.Point(408, 312);
			this.MessageCountUpDown.Maximum = new decimal(new int[] {
									999,
									0,
									0,
									0});
			this.MessageCountUpDown.Name = "MessageCountUpDown";
			this.MessageCountUpDown.Size = new System.Drawing.Size(48, 20);
			this.MessageCountUpDown.TabIndex = 5;
			this.MessageCountUpDown.Value = new decimal(new int[] {
									10,
									0,
									0,
									0});
			this.MessageCountUpDown.ValueChanged += new System.EventHandler(this.MessageCountUpDownValueChanged);
			// 
			// DebugMessagesForm
			// 
			this.AcceptButton = this.CloseButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.CloseButton;
			this.ClientSize = new System.Drawing.Size(576, 339);
			this.Controls.Add(this.LogBytesAsStringCheckBox);
			this.Controls.Add(this.CloseButton);
			this.Controls.Add(this.LogLevelComboBox);
			this.Controls.Add(this.LevelLabel);
			this.Controls.Add(this.MessageCountLabel);
			this.Controls.Add(this.MessageCountUpDown);
			this.Controls.Add(this.ClearButton);
			this.Controls.Add(this.MessagesTextBox);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MinimumSize = new System.Drawing.Size(400, 100);
			this.Name = "DebugMessagesForm";
			this.Text = "Debug Messages";
			((System.ComponentModel.ISupportInitialize)(this.MessageCountUpDown)).EndInit();
			this.ResumeLayout(false);
			this.PerformLayout();
		}
		private System.Windows.Forms.NumericUpDown MessageCountUpDown;
		private System.Windows.Forms.CheckBox LogBytesAsStringCheckBox;
		private System.Windows.Forms.Label MessageCountLabel;
		private System.Windows.Forms.TextBox MessagesTextBox;
		private System.Windows.Forms.Button CloseButton;
		private System.Windows.Forms.Label LevelLabel;
		private System.Windows.Forms.ComboBox LogLevelComboBox;
		private System.Windows.Forms.Button ClearButton;		
	}
}
