﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2009 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, orViewMenuItemSeparator1
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

namespace SoapTrace
{
	partial class ErrorReportUserControl
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the control.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.Cancel = new System.Windows.Forms.Button();
			this.DetailsButton = new System.Windows.Forms.Button();
			this.ErrorMessageLabel = new System.Windows.Forms.Label();
			this.OKButton = new System.Windows.Forms.Button();
			this.TopPanel = new System.Windows.Forms.Panel();
			this.Spacer = new System.Windows.Forms.Panel();
			this.BottomPanel = new System.Windows.Forms.Panel();
			this.ErrorDetailsTextBox = new System.Windows.Forms.TextBox();
			this.TopPanel.SuspendLayout();
			this.BottomPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// Cancel
			// 
			this.Cancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.Cancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.Cancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.Cancel.Location = new System.Drawing.Point(272, 96);
			this.Cancel.Name = "Cancel";
			this.Cancel.Size = new System.Drawing.Size(72, 24);
			this.Cancel.TabIndex = 6;
			this.Cancel.Text = "Cancel";
			// 
			// DetailsButton
			// 
			this.DetailsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.DetailsButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.DetailsButton.Location = new System.Drawing.Point(352, 96);
			this.DetailsButton.Name = "DetailsButton";
			this.DetailsButton.Size = new System.Drawing.Size(80, 24);
			this.DetailsButton.TabIndex = 7;
			this.DetailsButton.Text = "Details >>";
			this.DetailsButton.Click += new System.EventHandler(this.DetailsButtonClick);
			// 
			// ErrorMessageLabel
			// 
			this.ErrorMessageLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.ErrorMessageLabel.Location = new System.Drawing.Point(8, 8);
			this.ErrorMessageLabel.Name = "ErrorMessageLabel";
			this.ErrorMessageLabel.Size = new System.Drawing.Size(428, 88);
			this.ErrorMessageLabel.TabIndex = 0;
			this.ErrorMessageLabel.Text = "Error Message...";
			// 
			// OKButton
			// 
			this.OKButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.OKButton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.OKButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.OKButton.Location = new System.Drawing.Point(192, 96);
			this.OKButton.Name = "OKButton";
			this.OKButton.Size = new System.Drawing.Size(72, 24);
			this.OKButton.TabIndex = 5;
			this.OKButton.Text = "OK";
			// 
			// TopPanel
			// 
			this.TopPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.TopPanel.Controls.Add(this.DetailsButton);
			this.TopPanel.Controls.Add(this.Cancel);
			this.TopPanel.Controls.Add(this.OKButton);
			this.TopPanel.Controls.Add(this.Spacer);
			this.TopPanel.Controls.Add(this.ErrorMessageLabel);
			this.TopPanel.Location = new System.Drawing.Point(0, 0);
			this.TopPanel.Name = "TopPanel";
			this.TopPanel.Size = new System.Drawing.Size(440, 120);
			this.TopPanel.TabIndex = 0;
			// 
			// Spacer
			// 
			this.Spacer.Location = new System.Drawing.Point(56, 104);
			this.Spacer.Name = "Spacer";
			this.Spacer.Size = new System.Drawing.Size(8, 8);
			this.Spacer.TabIndex = 4;
			this.Spacer.Visible = false;
			// 
			// BottomPanel
			// 
			this.BottomPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
									| System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.BottomPanel.Controls.Add(this.ErrorDetailsTextBox);
			this.BottomPanel.Location = new System.Drawing.Point(0, 120);
			this.BottomPanel.Name = "BottomPanel";
			this.BottomPanel.Size = new System.Drawing.Size(440, 296);
			this.BottomPanel.TabIndex = 4;
			this.BottomPanel.Visible = false;
			// 
			// ErrorDetailsTextBox
			// 
			this.ErrorDetailsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
									| System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.ErrorDetailsTextBox.Location = new System.Drawing.Point(0, 4);
			this.ErrorDetailsTextBox.Multiline = true;
			this.ErrorDetailsTextBox.Name = "ErrorDetailsTextBox";
			this.ErrorDetailsTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.ErrorDetailsTextBox.Size = new System.Drawing.Size(440, 292);
			this.ErrorDetailsTextBox.TabIndex = 3;
			this.ErrorDetailsTextBox.Text = "Error Details...";
			// 
			// ErrorReportUserControl
			// 
			this.Controls.Add(this.BottomPanel);
			this.Controls.Add(this.TopPanel);
			this.Name = "ErrorReportUserControl";
			this.Size = new System.Drawing.Size(440, 416);
			this.TopPanel.ResumeLayout(false);
			this.BottomPanel.ResumeLayout(false);
			this.BottomPanel.PerformLayout();
			this.ResumeLayout(false);
		}
		private System.Windows.Forms.TextBox ErrorDetailsTextBox;
		private System.Windows.Forms.Panel BottomPanel;
		private System.Windows.Forms.Panel Spacer;
		private System.Windows.Forms.Panel TopPanel;
		private System.Windows.Forms.Button OKButton;
		private System.Windows.Forms.Label ErrorMessageLabel;
		private System.Windows.Forms.Button DetailsButton;
		private System.Windows.Forms.Button Cancel;
	}
}
