﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2009 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, orViewMenuItemSeparator1
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
//

namespace SoapTrace
{
	partial class ErrorReportingForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.ErrorReport = new SoapTrace.ErrorReportUserControl();
			this.SuspendLayout();
			// 
			// ErrorReport
			// 
			this.ErrorReport.ErrorDetails = "Error Details...";
			this.ErrorReport.ErrorMessage = "Error Message...";
			this.ErrorReport.Location = new System.Drawing.Point(0, 0);
			this.ErrorReport.Name = "ErrorReport";
			this.ErrorReport.Size = new System.Drawing.Size(360, 119);
			this.ErrorReport.TabIndex = 0;
			// 
			// ErrorReportingForm
			// 
			this.AccessibleName = "";
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(362, 130);
			this.Controls.Add(this.ErrorReport);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
			this.KeyPreview = true;
			this.MinimumSize = new System.Drawing.Size(368, 141);
			this.Name = "ErrorReportingForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Error";
			this.ResumeLayout(false);
		}
		private SoapTrace.ErrorReportUserControl ErrorReport;
	}
}
