// 
// SoapTrace.Net - A soap message monitoring utility.
// 
// Copyright (C) 2004-2009 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

namespace SoapTrace
{
	partial class MainForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
			this.ViewMenuItem = new System.Windows.Forms.MenuItem();
			this.ViewClearMenuItem = new System.Windows.Forms.MenuItem();
			this.ViewMenuItemSeparator1 = new System.Windows.Forms.MenuItem();
			this.ViewHttpHeaderMenuItem = new System.Windows.Forms.MenuItem();
			this.ViewRawSoapMessageMenuItem = new System.Windows.Forms.MenuItem();
			this.ViewSoapMessageParametersMenuItem = new System.Windows.Forms.MenuItem();
			this.ViewSoapEnvelopeMenuItem = new System.Windows.Forms.MenuItem();
			this.ViewMenuItemSeparator2 = new System.Windows.Forms.MenuItem();
			this.FileMenuItemSeparator3 = new System.Windows.Forms.MenuItem();
			this.FormatMenuItem = new System.Windows.Forms.MenuItem();
			this.WordWrapMenuItem = new System.Windows.Forms.MenuItem();
			this.ListFontMenuItem = new System.Windows.Forms.MenuItem();
			this.TextFontMenuOption = new System.Windows.Forms.MenuItem();
			this.FileMenuItemSeparator1 = new System.Windows.Forms.MenuItem();
			this.TrayShowMenuItem = new System.Windows.Forms.MenuItem();
			this.FileMenuItem = new System.Windows.Forms.MenuItem();
			this.FileNewTabMenuItem = new System.Windows.Forms.MenuItem();
			this.FileCloseTabMenuItem = new System.Windows.Forms.MenuItem();
			this.FileSettingsMenuItem = new System.Windows.Forms.MenuItem();
			this.FileMenuItemSeparator2 = new System.Windows.Forms.MenuItem();
			this.FileUndoCloseMenuItem = new System.Windows.Forms.MenuItem();
			this.FileExitMenuItem = new System.Windows.Forms.MenuItem();
			this.FindMenuItem = new System.Windows.Forms.MenuItem();
			this.ToolsMenuItem = new System.Windows.Forms.MenuItem();
			this.ToolsOptionsMenuItem = new System.Windows.Forms.MenuItem();
			this.ToolsDebugMessagesMenuItem = new System.Windows.Forms.MenuItem();
			this.ToolsPacketViewerMenuItem = new System.Windows.Forms.MenuItem();
			this.ToolsMenuSeparatorItem1 = new System.Windows.Forms.MenuItem();
			this.ToolsReplayMenuItem = new System.Windows.Forms.MenuItem();
			this.HelpAboutMenuItem = new System.Windows.Forms.MenuItem();
			this.EditMenuItem = new System.Windows.Forms.MenuItem();
			this.CopyMenuItem = new System.Windows.Forms.MenuItem();
			this.EditMenuSeparator1 = new System.Windows.Forms.MenuItem();
			this.FindNextMenuItem = new System.Windows.Forms.MenuItem();
			this.EditMenuSeparator2 = new System.Windows.Forms.MenuItem();
			this.SelectAllMenuItem = new System.Windows.Forms.MenuItem();
			this.RightClickCopyMenuItem = new System.Windows.Forms.MenuItem();
			this.SoapMessagesView = new SoapTrace.SoapMessagesView();
			this.ListViewRightClickContextMenu = new System.Windows.Forms.ContextMenu();
			this.ListViewRightClickReplayMenuItem = new System.Windows.Forms.MenuItem();
			this.RightClickContextMenu = new System.Windows.Forms.ContextMenu();
			this.RightClickContextMenuItemSeparator1 = new System.Windows.Forms.MenuItem();
			this.RightClickSelectAllMenuItem = new System.Windows.Forms.MenuItem();
			this.TabControlNewTabMenuItem = new System.Windows.Forms.MenuItem();
			this.SystemTrayContextMenu = new System.Windows.Forms.ContextMenu();
			this.TrayExitMenuItem = new System.Windows.Forms.MenuItem();
			this.HelpMenuItem = new System.Windows.Forms.MenuItem();
			this.TabControl = new System.Windows.Forms.TabControl();
			this.TabControlContextMenu = new System.Windows.Forms.ContextMenu();
			this.TabControlCloseTabMenuItem = new System.Windows.Forms.MenuItem();
			this.MainMenu = new System.Windows.Forms.MainMenu(this.components);
			this.NotifyIcon = new System.Windows.Forms.NotifyIcon(this.components);
			this.SuspendLayout();
			// 
			// ViewMenuItem
			// 
			this.ViewMenuItem.Index = 2;
			this.ViewMenuItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.ViewClearMenuItem,
									this.ViewMenuItemSeparator1,
									this.ViewHttpHeaderMenuItem,
									this.ViewRawSoapMessageMenuItem,
									this.ViewSoapMessageParametersMenuItem,
									this.ViewSoapEnvelopeMenuItem,
									this.ViewMenuItemSeparator2});
			this.ViewMenuItem.Text = "&View";
			// 
			// ViewClearMenuItem
			// 
			this.ViewClearMenuItem.Index = 0;
			this.ViewClearMenuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlX;
			this.ViewClearMenuItem.Text = "&Clear";
			this.ViewClearMenuItem.Click += new System.EventHandler(this.ViewClearMenuItemClick);
			// 
			// ViewMenuItemSeparator1
			// 
			this.ViewMenuItemSeparator1.Index = 1;
			this.ViewMenuItemSeparator1.Text = "-";
			// 
			// ViewHttpHeaderMenuItem
			// 
			this.ViewHttpHeaderMenuItem.Index = 2;
			this.ViewHttpHeaderMenuItem.Text = "Http &Header";
			this.ViewHttpHeaderMenuItem.Click += new System.EventHandler(this.ViewHttpHeaderMenuItemClick);
			// 
			// ViewRawSoapMessageMenuItem
			// 
			this.ViewRawSoapMessageMenuItem.Index = 3;
			this.ViewRawSoapMessageMenuItem.Text = "&Raw Message";
			this.ViewRawSoapMessageMenuItem.Click += new System.EventHandler(this.ViewRawSoapMessageMenuItemClick);
			// 
			// ViewSoapMessageParametersMenuItem
			// 
			this.ViewSoapMessageParametersMenuItem.Index = 4;
			this.ViewSoapMessageParametersMenuItem.Text = "Message &Parameters";
			this.ViewSoapMessageParametersMenuItem.Click += new System.EventHandler(this.ViewSoapMessageParametersMenuItemClick);
			// 
			// ViewSoapEnvelopeMenuItem
			// 
			this.ViewSoapEnvelopeMenuItem.Checked = true;
			this.ViewSoapEnvelopeMenuItem.Index = 5;
			this.ViewSoapEnvelopeMenuItem.Text = "Soap &Envelope";
			this.ViewSoapEnvelopeMenuItem.Click += new System.EventHandler(this.ViewSoapEnvelopeMenuItemClick);
			// 
			// ViewMenuItemSeparator2
			// 
			this.ViewMenuItemSeparator2.Index = 6;
			this.ViewMenuItemSeparator2.Text = "-";
			this.ViewMenuItemSeparator2.Visible = false;
			// 
			// FileMenuItemSeparator3
			// 
			this.FileMenuItemSeparator3.Index = 6;
			this.FileMenuItemSeparator3.Text = "-";
			// 
			// FormatMenuItem
			// 
			this.FormatMenuItem.Index = 4;
			this.FormatMenuItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.WordWrapMenuItem,
									this.ListFontMenuItem,
									this.TextFontMenuOption});
			this.FormatMenuItem.Text = "F&ormat";
			// 
			// WordWrapMenuItem
			// 
			this.WordWrapMenuItem.Checked = true;
			this.WordWrapMenuItem.Index = 0;
			this.WordWrapMenuItem.Text = "&Word Wrap";
			this.WordWrapMenuItem.Click += new System.EventHandler(this.WordWrapMenuItemClick);
			// 
			// ListFontMenuItem
			// 
			this.ListFontMenuItem.Index = 1;
			this.ListFontMenuItem.Text = "&List Font...";
			this.ListFontMenuItem.Click += new System.EventHandler(this.ListFontMenuItemClick);
			// 
			// TextFontMenuOption
			// 
			this.TextFontMenuOption.Index = 2;
			this.TextFontMenuOption.Text = "Text &Font...";
			this.TextFontMenuOption.Click += new System.EventHandler(this.TextFontMenuOptionClick);
			// 
			// FileMenuItemSeparator1
			// 
			this.FileMenuItemSeparator1.Index = 2;
			this.FileMenuItemSeparator1.Text = "-";
			// 
			// TrayShowMenuItem
			// 
			this.TrayShowMenuItem.Index = 0;
			this.TrayShowMenuItem.Text = "&Show";
			this.TrayShowMenuItem.Click += new System.EventHandler(this.TrayShowMenuItemClick);
			// 
			// FileMenuItem
			// 
			this.FileMenuItem.Index = 0;
			this.FileMenuItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.FileNewTabMenuItem,
									this.FileCloseTabMenuItem,
									this.FileMenuItemSeparator1,
									this.FileSettingsMenuItem,
									this.FileMenuItemSeparator2,
									this.FileUndoCloseMenuItem,
									this.FileMenuItemSeparator3,
									this.FileExitMenuItem});
			this.FileMenuItem.Text = "&File";
			// 
			// FileNewTabMenuItem
			// 
			this.FileNewTabMenuItem.Index = 0;
			this.FileNewTabMenuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlT;
			this.FileNewTabMenuItem.Text = "New &Tab";
			this.FileNewTabMenuItem.Click += new System.EventHandler(this.FileNewTabMenuItemClick);
			// 
			// FileCloseTabMenuItem
			// 
			this.FileCloseTabMenuItem.Enabled = false;
			this.FileCloseTabMenuItem.Index = 1;
			this.FileCloseTabMenuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlW;
			this.FileCloseTabMenuItem.Text = "&Close Tab";
			this.FileCloseTabMenuItem.Click += new System.EventHandler(this.FileCloseTabMenuItemClick);
			// 
			// FileSettingsMenuItem
			// 
			this.FileSettingsMenuItem.Index = 3;
			this.FileSettingsMenuItem.Text = "&Settings...";
			this.FileSettingsMenuItem.Click += new System.EventHandler(this.FileSettingsMenuItemClick);
			// 
			// FileMenuItemSeparator2
			// 
			this.FileMenuItemSeparator2.Index = 4;
			this.FileMenuItemSeparator2.Text = "-";
			// 
			// FileUndoCloseMenuItem
			// 
			this.FileUndoCloseMenuItem.Enabled = false;
			this.FileUndoCloseMenuItem.Index = 5;
			this.FileUndoCloseMenuItem.Text = "&Undo Close";
			// 
			// FileExitMenuItem
			// 
			this.FileExitMenuItem.Index = 7;
			this.FileExitMenuItem.Text = "E&xit";
			this.FileExitMenuItem.Click += new System.EventHandler(this.FileExitMenuItemClick);
			// 
			// FindMenuItem
			// 
			this.FindMenuItem.Index = 2;
			this.FindMenuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlF;
			this.FindMenuItem.Text = "&Find...";
			this.FindMenuItem.Click += new System.EventHandler(this.FindMenuItemClick);
			// 
			// ToolsMenuItem
			// 
			this.ToolsMenuItem.Index = 3;
			this.ToolsMenuItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.ToolsOptionsMenuItem,
									this.ToolsDebugMessagesMenuItem,
									this.ToolsPacketViewerMenuItem,
									this.ToolsMenuSeparatorItem1,
									this.ToolsReplayMenuItem});
			this.ToolsMenuItem.Text = "&Tools";
			// 
			// ToolsOptionsMenuItem
			// 
			this.ToolsOptionsMenuItem.Index = 0;
			this.ToolsOptionsMenuItem.Text = "&Options...";
			this.ToolsOptionsMenuItem.Click += new System.EventHandler(this.ToolsOptionsMenuItemClick);
			// 
			// ToolsDebugMessagesMenuItem
			// 
			this.ToolsDebugMessagesMenuItem.Index = 1;
			this.ToolsDebugMessagesMenuItem.Text = "&Debug Messages...";
			this.ToolsDebugMessagesMenuItem.Visible = false;
			this.ToolsDebugMessagesMenuItem.Click += new System.EventHandler(this.ToolsDebugMessagesMenuItemClick);
			// 
			// ToolsPacketViewerMenuItem
			// 
			this.ToolsPacketViewerMenuItem.Index = 2;
			this.ToolsPacketViewerMenuItem.Text = "&Packet Viewer...";
			this.ToolsPacketViewerMenuItem.Click += new System.EventHandler(this.ToolsPacketViewerMenuItemClick);
			// 
			// ToolsMenuSeparatorItem1
			// 
			this.ToolsMenuSeparatorItem1.Index = 3;
			this.ToolsMenuSeparatorItem1.Text = "-";
			// 
			// ToolsReplayMenuItem
			// 
			this.ToolsReplayMenuItem.Index = 4;
			this.ToolsReplayMenuItem.Text = "&Replay";
			this.ToolsReplayMenuItem.Click += new System.EventHandler(this.ToolsReplayMenuItemClick);
			// 
			// HelpAboutMenuItem
			// 
			this.HelpAboutMenuItem.Index = 0;
			this.HelpAboutMenuItem.Text = "&About Soap Trace...";
			this.HelpAboutMenuItem.Click += new System.EventHandler(this.HelpAboutMenuItemClick);
			// 
			// EditMenuItem
			// 
			this.EditMenuItem.Index = 1;
			this.EditMenuItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.CopyMenuItem,
									this.EditMenuSeparator1,
									this.FindMenuItem,
									this.FindNextMenuItem,
									this.EditMenuSeparator2,
									this.SelectAllMenuItem});
			this.EditMenuItem.Text = "&Edit";
			// 
			// CopyMenuItem
			// 
			this.CopyMenuItem.Index = 0;
			this.CopyMenuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlC;
			this.CopyMenuItem.Text = "&Copy";
			this.CopyMenuItem.Click += new System.EventHandler(this.CopyMenuItemClick);
			// 
			// EditMenuSeparator1
			// 
			this.EditMenuSeparator1.Index = 1;
			this.EditMenuSeparator1.Text = "-";
			// 
			// FindNextMenuItem
			// 
			this.FindNextMenuItem.Index = 3;
			this.FindNextMenuItem.Shortcut = System.Windows.Forms.Shortcut.F3;
			this.FindNextMenuItem.Text = "Find &Next";
			this.FindNextMenuItem.Click += new System.EventHandler(this.FindNextMenuItemClick);
			// 
			// EditMenuSeparator2
			// 
			this.EditMenuSeparator2.Index = 4;
			this.EditMenuSeparator2.Text = "-";
			// 
			// SelectAllMenuItem
			// 
			this.SelectAllMenuItem.Index = 5;
			this.SelectAllMenuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlA;
			this.SelectAllMenuItem.Text = "Select &All";
			this.SelectAllMenuItem.Click += new System.EventHandler(this.SelectAllMenuItemClick);
			// 
			// RightClickCopyMenuItem
			// 
			this.RightClickCopyMenuItem.Index = 0;
			this.RightClickCopyMenuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlC;
			this.RightClickCopyMenuItem.Text = "&Copy";
			this.RightClickCopyMenuItem.Click += new System.EventHandler(this.RightClickCopyMenuItemClick);
			// 
			// SoapMessagesView
			// 
			this.SoapMessagesView.Dock = System.Windows.Forms.DockStyle.Fill;
			this.SoapMessagesView.ListFont = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.SoapMessagesView.ListViewContextMenu = this.ListViewRightClickContextMenu;
			this.SoapMessagesView.Location = new System.Drawing.Point(0, 0);
			this.SoapMessagesView.Manager = null;
			this.SoapMessagesView.Name = "SoapMessagesView";
			this.SoapMessagesView.RequestPanelHeight = 135;
			this.SoapMessagesView.RequestText = "";
			this.SoapMessagesView.RequestTextBoxContextMenu = this.RightClickContextMenu;
			this.SoapMessagesView.RequestTextReadOnly = false;
			this.SoapMessagesView.ResponseText = "";
			this.SoapMessagesView.ResponseTextBoxContextMenu = this.RightClickContextMenu;
			this.SoapMessagesView.Size = new System.Drawing.Size(592, 429);
			this.SoapMessagesView.SoapMessagesPanelWidth = 200;
			this.SoapMessagesView.SourceColumnHeaderWidth = 100;
			this.SoapMessagesView.TabIndex = 0;
			this.SoapMessagesView.TextFont = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.SoapMessagesView.TimeColumnHeaderWidth = 108;
			this.SoapMessagesView.WebServiceColumnHeaderWidth = 200;
			this.SoapMessagesView.WebServiceOperationColumnHeaderWidth = 100;
			this.SoapMessagesView.WordWrap = true;
			// 
			// ListViewRightClickContextMenu
			// 
			this.ListViewRightClickContextMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.ListViewRightClickReplayMenuItem});
			// 
			// ListViewRightClickReplayMenuItem
			// 
			this.ListViewRightClickReplayMenuItem.Index = 0;
			this.ListViewRightClickReplayMenuItem.Text = "&Replay";
			this.ListViewRightClickReplayMenuItem.Click += new System.EventHandler(this.ListViewRightClickReplayMenuItemClick);
			// 
			// RightClickContextMenu
			// 
			this.RightClickContextMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.RightClickCopyMenuItem,
									this.RightClickContextMenuItemSeparator1,
									this.RightClickSelectAllMenuItem});
			// 
			// RightClickContextMenuItemSeparator1
			// 
			this.RightClickContextMenuItemSeparator1.Index = 1;
			this.RightClickContextMenuItemSeparator1.Text = "-";
			// 
			// RightClickSelectAllMenuItem
			// 
			this.RightClickSelectAllMenuItem.Index = 2;
			this.RightClickSelectAllMenuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlA;
			this.RightClickSelectAllMenuItem.Text = "Select &All";
			this.RightClickSelectAllMenuItem.Click += new System.EventHandler(this.RightClickSelectAllMenuItemClick);
			// 
			// TabControlNewTabMenuItem
			// 
			this.TabControlNewTabMenuItem.Index = 0;
			this.TabControlNewTabMenuItem.Text = "New &Tab";
			this.TabControlNewTabMenuItem.Click += new System.EventHandler(this.FileNewTabMenuItemClick);
			// 
			// SystemTrayContextMenu
			// 
			this.SystemTrayContextMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.TrayShowMenuItem,
									this.TrayExitMenuItem});
			// 
			// TrayExitMenuItem
			// 
			this.TrayExitMenuItem.Index = 1;
			this.TrayExitMenuItem.Text = "E&xit";
			this.TrayExitMenuItem.Click += new System.EventHandler(this.TrayExitMenuItemClick);
			// 
			// HelpMenuItem
			// 
			this.HelpMenuItem.Index = 5;
			this.HelpMenuItem.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.HelpAboutMenuItem});
			this.HelpMenuItem.Text = "&Help";
			// 
			// TabControl
			// 
			this.TabControl.ContextMenu = this.TabControlContextMenu;
			this.TabControl.Dock = System.Windows.Forms.DockStyle.Fill;
			this.TabControl.Location = new System.Drawing.Point(0, 0);
			this.TabControl.Name = "TabControl";
			this.TabControl.SelectedIndex = 0;
			this.TabControl.Size = new System.Drawing.Size(592, 429);
			this.TabControl.TabIndex = 1;
			this.TabControl.Visible = false;
			this.TabControl.MouseUp += new System.Windows.Forms.MouseEventHandler(this.TabControlMouseUp);
			this.TabControl.SelectedIndexChanged += new System.EventHandler(this.TabControlSelectedIndexChanged);
			// 
			// TabControlContextMenu
			// 
			this.TabControlContextMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.TabControlNewTabMenuItem,
									this.TabControlCloseTabMenuItem});
			// 
			// TabControlCloseTabMenuItem
			// 
			this.TabControlCloseTabMenuItem.Index = 1;
			this.TabControlCloseTabMenuItem.Text = "&Close Tab";
			this.TabControlCloseTabMenuItem.Click += new System.EventHandler(this.TabControlCloseTabMenuItemClick);
			// 
			// MainMenu
			// 
			this.MainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
									this.FileMenuItem,
									this.EditMenuItem,
									this.ViewMenuItem,
									this.ToolsMenuItem,
									this.FormatMenuItem,
									this.HelpMenuItem});
			// 
			// NotifyIcon
			// 
			this.NotifyIcon.ContextMenu = this.SystemTrayContextMenu;
			this.NotifyIcon.Icon = ((System.Drawing.Icon)(resources.GetObject("NotifyIcon.Icon")));
			this.NotifyIcon.Text = "Soap Trace";
			this.NotifyIcon.DoubleClick += new System.EventHandler(this.NotifyIconDoubleClick);
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(592, 429);
			this.Controls.Add(this.SoapMessagesView);
			this.Controls.Add(this.TabControl);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Menu = this.MainMenu;
			this.Name = "MainForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
			this.Text = "Soap Trace";
			this.SizeChanged += new System.EventHandler(this.MainFormSizeChanged);
			this.Closing += new System.ComponentModel.CancelEventHandler(this.MainFormClosing);
			this.LocationChanged += new System.EventHandler(this.MainFormLocationChanged);
			this.ResumeLayout(false);
		}
		private System.Windows.Forms.ContextMenu ListViewRightClickContextMenu;
		private System.Windows.Forms.NotifyIcon NotifyIcon;
		private System.Windows.Forms.ContextMenu RightClickContextMenu;
		private System.Windows.Forms.MenuItem ViewSoapMessageParametersMenuItem;
		private System.Windows.Forms.MenuItem RightClickSelectAllMenuItem;
		private System.Windows.Forms.MenuItem ViewMenuItemSeparator2;
		private System.Windows.Forms.MenuItem ViewMenuItemSeparator1;
		private System.Windows.Forms.MenuItem ViewRawSoapMessageMenuItem;
		private System.Windows.Forms.MenuItem RightClickContextMenuItemSeparator1;
		private System.Windows.Forms.MenuItem ToolsMenuSeparatorItem1;
		private System.Windows.Forms.MenuItem WordWrapMenuItem;
		private System.Windows.Forms.MenuItem SelectAllMenuItem;
		private System.Windows.Forms.MenuItem ListFontMenuItem;
		private System.Windows.Forms.ContextMenu TabControlContextMenu;
		private System.Windows.Forms.MenuItem ViewHttpHeaderMenuItem;
		private System.Windows.Forms.MenuItem FileUndoCloseMenuItem;
		private System.Windows.Forms.MainMenu MainMenu;
		private System.Windows.Forms.MenuItem TrayExitMenuItem;
		private System.Windows.Forms.MenuItem TabControlCloseTabMenuItem;
		private System.Windows.Forms.MenuItem ToolsOptionsMenuItem;
		private System.Windows.Forms.MenuItem ListViewRightClickReplayMenuItem;
		private System.Windows.Forms.TabControl TabControl;
		private System.Windows.Forms.MenuItem HelpMenuItem;
		private System.Windows.Forms.MenuItem FileExitMenuItem;
		private System.Windows.Forms.ContextMenu SystemTrayContextMenu;
		private System.Windows.Forms.MenuItem EditMenuSeparator1;
		private System.Windows.Forms.MenuItem FileCloseTabMenuItem;
		private System.Windows.Forms.MenuItem TabControlNewTabMenuItem;
		private System.Windows.Forms.MenuItem ViewClearMenuItem;
		private System.Windows.Forms.MenuItem FindNextMenuItem;
		private System.Windows.Forms.MenuItem CopyMenuItem;
		private SoapTrace.SoapMessagesView SoapMessagesView;
		private System.Windows.Forms.MenuItem ToolsDebugMessagesMenuItem;
		private System.Windows.Forms.MenuItem FileNewTabMenuItem;
		private System.Windows.Forms.MenuItem FileSettingsMenuItem;
		private System.Windows.Forms.MenuItem RightClickCopyMenuItem;
		private System.Windows.Forms.MenuItem TextFontMenuOption;
		private System.Windows.Forms.MenuItem EditMenuSeparator2;
		private System.Windows.Forms.MenuItem ToolsPacketViewerMenuItem;
		private System.Windows.Forms.MenuItem ToolsReplayMenuItem;
		private System.Windows.Forms.MenuItem EditMenuItem;
		private System.Windows.Forms.MenuItem HelpAboutMenuItem;
		private System.Windows.Forms.MenuItem ToolsMenuItem;
		private System.Windows.Forms.MenuItem FindMenuItem;
		private System.Windows.Forms.MenuItem FileMenuItemSeparator2;
		private System.Windows.Forms.MenuItem FileMenuItem;
		private System.Windows.Forms.MenuItem TrayShowMenuItem;
		private System.Windows.Forms.MenuItem FileMenuItemSeparator1;
		private System.Windows.Forms.MenuItem FormatMenuItem;
		private System.Windows.Forms.MenuItem FileMenuItemSeparator3;
		private System.Windows.Forms.MenuItem ViewSoapEnvelopeMenuItem;
		private System.Windows.Forms.MenuItem ViewMenuItem;
	}
}
