﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004-2009 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

namespace SoapTrace
{
	partial class OptionsForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.LogFolderLabel = new System.Windows.Forms.Label();
			this.OptionsCancelButton = new System.Windows.Forms.Button();
			this.GeneralTabPage = new System.Windows.Forms.TabPage();
			this.ShowInTrayCheckBox = new System.Windows.Forms.CheckBox();
			this.TabControl = new System.Windows.Forms.TabControl();
			this.FormattersTabPage = new System.Windows.Forms.TabPage();
			this.OptionsButton = new System.Windows.Forms.Button();
			this.FormattersListBox = new System.Windows.Forms.ListBox();
			this.LoggingTabPage = new System.Windows.Forms.TabPage();
			this.LogFolderBrowseButton = new System.Windows.Forms.Button();
			this.LogFolderTextBox = new System.Windows.Forms.TextBox();
			this.LoggingEnabledCheckBox = new System.Windows.Forms.CheckBox();
			this.OptionsOKButton = new System.Windows.Forms.Button();
			this.TopPanel = new System.Windows.Forms.Panel();
			this.GeneralTabPage.SuspendLayout();
			this.TabControl.SuspendLayout();
			this.FormattersTabPage.SuspendLayout();
			this.LoggingTabPage.SuspendLayout();
			this.TopPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// LogFolderLabel
			// 
			this.LogFolderLabel.Location = new System.Drawing.Point(10, 7);
			this.LogFolderLabel.Name = "LogFolderLabel";
			this.LogFolderLabel.Size = new System.Drawing.Size(46, 15);
			this.LogFolderLabel.TabIndex = 0;
			this.LogFolderLabel.Text = "Folder";
			// 
			// OptionsCancelButton
			// 
			this.OptionsCancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.OptionsCancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.OptionsCancelButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.OptionsCancelButton.Location = new System.Drawing.Point(256, 249);
			this.OptionsCancelButton.Name = "OptionsCancelButton";
			this.OptionsCancelButton.Size = new System.Drawing.Size(72, 23);
			this.OptionsCancelButton.TabIndex = 2;
			this.OptionsCancelButton.Text = "Cancel";
			this.OptionsCancelButton.Click += new System.EventHandler(this.OptionsCancelButtonClick);
			// 
			// GeneralTabPage
			// 
			this.GeneralTabPage.Controls.Add(this.ShowInTrayCheckBox);
			this.GeneralTabPage.Location = new System.Drawing.Point(4, 22);
			this.GeneralTabPage.Name = "GeneralTabPage";
			this.GeneralTabPage.Size = new System.Drawing.Size(328, 212);
			this.GeneralTabPage.TabIndex = 2;
			this.GeneralTabPage.Text = "General";
			// 
			// ShowInTrayCheckBox
			// 
			this.ShowInTrayCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.ShowInTrayCheckBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.ShowInTrayCheckBox.Location = new System.Drawing.Point(8, 8);
			this.ShowInTrayCheckBox.Name = "ShowInTrayCheckBox";
			this.ShowInTrayCheckBox.Size = new System.Drawing.Size(144, 22);
			this.ShowInTrayCheckBox.TabIndex = 4;
			this.ShowInTrayCheckBox.Text = "Show in System Tray";
			// 
			// TabControl
			// 
			this.TabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
									| System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.TabControl.Controls.Add(this.GeneralTabPage);
			this.TabControl.Controls.Add(this.FormattersTabPage);
			this.TabControl.Controls.Add(this.LoggingTabPage);
			this.TabControl.Location = new System.Drawing.Point(0, 4);
			this.TabControl.Name = "TabControl";
			this.TabControl.SelectedIndex = 0;
			this.TabControl.Size = new System.Drawing.Size(336, 238);
			this.TabControl.TabIndex = 1;
			// 
			// FormattersTabPage
			// 
			this.FormattersTabPage.Controls.Add(this.OptionsButton);
			this.FormattersTabPage.Controls.Add(this.FormattersListBox);
			this.FormattersTabPage.Location = new System.Drawing.Point(4, 22);
			this.FormattersTabPage.Name = "FormattersTabPage";
			this.FormattersTabPage.Size = new System.Drawing.Size(328, 212);
			this.FormattersTabPage.TabIndex = 0;
			this.FormattersTabPage.Text = "Formatters";
			// 
			// OptionsButton
			// 
			this.OptionsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.OptionsButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.OptionsButton.Location = new System.Drawing.Point(248, 170);
			this.OptionsButton.Name = "OptionsButton";
			this.OptionsButton.Size = new System.Drawing.Size(72, 23);
			this.OptionsButton.TabIndex = 4;
			this.OptionsButton.Text = "&Options...";
			this.OptionsButton.Click += new System.EventHandler(this.OptionsButtonClick);
			// 
			// FormattersListBox
			// 
			this.FormattersListBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
									| System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.FormattersListBox.Location = new System.Drawing.Point(0, 0);
			this.FormattersListBox.Name = "FormattersListBox";
			this.FormattersListBox.Size = new System.Drawing.Size(328, 147);
			this.FormattersListBox.TabIndex = 0;
			this.FormattersListBox.SelectedIndexChanged += new System.EventHandler(this.FormattersListBoxSelectedIndexChanged);
			// 
			// LoggingTabPage
			// 
			this.LoggingTabPage.Controls.Add(this.LogFolderLabel);
			this.LoggingTabPage.Controls.Add(this.LogFolderBrowseButton);
			this.LoggingTabPage.Controls.Add(this.LogFolderTextBox);
			this.LoggingTabPage.Controls.Add(this.LoggingEnabledCheckBox);
			this.LoggingTabPage.Location = new System.Drawing.Point(4, 22);
			this.LoggingTabPage.Name = "LoggingTabPage";
			this.LoggingTabPage.Size = new System.Drawing.Size(328, 212);
			this.LoggingTabPage.TabIndex = 1;
			this.LoggingTabPage.Text = "Logging";
			// 
			// LogFolderBrowseButton
			// 
			this.LogFolderBrowseButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.LogFolderBrowseButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.LogFolderBrowseButton.Location = new System.Drawing.Point(296, 7);
			this.LogFolderBrowseButton.Name = "LogFolderBrowseButton";
			this.LogFolderBrowseButton.Size = new System.Drawing.Size(24, 20);
			this.LogFolderBrowseButton.TabIndex = 2;
			this.LogFolderBrowseButton.Text = "...";
			this.LogFolderBrowseButton.Click += new System.EventHandler(this.LoggingFolderBrowseButtonClick);
			// 
			// LogFolderTextBox
			// 
			this.LogFolderTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.LogFolderTextBox.Location = new System.Drawing.Point(64, 7);
			this.LogFolderTextBox.Name = "LogFolderTextBox";
			this.LogFolderTextBox.Size = new System.Drawing.Size(224, 20);
			this.LogFolderTextBox.TabIndex = 1;
			// 
			// LoggingEnabledCheckBox
			// 
			this.LoggingEnabledCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.LoggingEnabledCheckBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.LoggingEnabledCheckBox.Location = new System.Drawing.Point(10, 30);
			this.LoggingEnabledCheckBox.Name = "LoggingEnabledCheckBox";
			this.LoggingEnabledCheckBox.Size = new System.Drawing.Size(70, 22);
			this.LoggingEnabledCheckBox.TabIndex = 3;
			this.LoggingEnabledCheckBox.Text = "Enabled";
			// 
			// OptionsOKButton
			// 
			this.OptionsOKButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.OptionsOKButton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.OptionsOKButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.OptionsOKButton.Location = new System.Drawing.Point(176, 249);
			this.OptionsOKButton.Name = "OptionsOKButton";
			this.OptionsOKButton.Size = new System.Drawing.Size(72, 23);
			this.OptionsOKButton.TabIndex = 3;
			this.OptionsOKButton.Text = "OK";
			this.OptionsOKButton.Click += new System.EventHandler(this.OptionsOKButtonClick);
			// 
			// TopPanel
			// 
			this.TopPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
									| System.Windows.Forms.AnchorStyles.Left) 
									| System.Windows.Forms.AnchorStyles.Right)));
			this.TopPanel.Controls.Add(this.TabControl);
			this.TopPanel.Location = new System.Drawing.Point(0, 0);
			this.TopPanel.Name = "TopPanel";
			this.TopPanel.Size = new System.Drawing.Size(336, 242);
			this.TopPanel.TabIndex = 1;
			// 
			// OptionsForm
			// 
			this.AcceptButton = this.OptionsOKButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.OptionsCancelButton;
			this.ClientSize = new System.Drawing.Size(336, 278);
			this.Controls.Add(this.OptionsOKButton);
			this.Controls.Add(this.OptionsCancelButton);
			this.Controls.Add(this.TopPanel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
			this.MinimumSize = new System.Drawing.Size(344, 304);
			this.Name = "OptionsForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Options";
			this.GeneralTabPage.ResumeLayout(false);
			this.TabControl.ResumeLayout(false);
			this.FormattersTabPage.ResumeLayout(false);
			this.LoggingTabPage.ResumeLayout(false);
			this.LoggingTabPage.PerformLayout();
			this.TopPanel.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		private System.Windows.Forms.Panel TopPanel;
		private System.Windows.Forms.TabPage FormattersTabPage;
		private System.Windows.Forms.TextBox LogFolderTextBox;
		private System.Windows.Forms.ListBox FormattersListBox;
		private System.Windows.Forms.Button LogFolderBrowseButton;
		private System.Windows.Forms.CheckBox LoggingEnabledCheckBox;
		private System.Windows.Forms.Button OptionsOKButton;
		private System.Windows.Forms.CheckBox ShowInTrayCheckBox;
		private System.Windows.Forms.TabPage LoggingTabPage;
		private System.Windows.Forms.Button OptionsButton;
		private System.Windows.Forms.TabControl TabControl;
		private System.Windows.Forms.TabPage GeneralTabPage;
		private System.Windows.Forms.Button OptionsCancelButton;
		private System.Windows.Forms.Label LogFolderLabel;
	}
}
