﻿// 
// SoapTrace.Net - A soap message monitoring utility. 
// 
// Copyright (C) 2004-2009 Matthew Ward
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Matthew Ward (mrward@users.sourceforge.net)
// 

namespace SoapTrace
{
	partial class SettingsForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.OKFormButton = new System.Windows.Forms.Button();
			this.UseProxyServerRadioButton = new System.Windows.Forms.RadioButton();
			this.PacketCaptureSettingsGroupBox = new System.Windows.Forms.GroupBox();
			this.CancelFormButton = new System.Windows.Forms.Button();
			this.NetworkInterfaceComboBox = new System.Windows.Forms.ComboBox();
			this.RemoteServerPortTextBox = new System.Windows.Forms.TextBox();
			this.ListeningPortTextBox = new System.Windows.Forms.TextBox();
			this.RemoteServerTextBox = new System.Windows.Forms.TextBox();
			this.ProxyPortLabel = new System.Windows.Forms.Label();
			this.NetworkInterfaceLabel = new System.Windows.Forms.Label();
			this.ProxyServerSettingsGroupBox = new System.Windows.Forms.GroupBox();
			this.RemoteServerSettingsGroupBox = new System.Windows.Forms.GroupBox();
			this.UseWinPcapRadioButton = new System.Windows.Forms.RadioButton();
			this.UseRawSocketsRadioButton = new System.Windows.Forms.RadioButton();
			this.RemoteServerPortLabel = new System.Windows.Forms.Label();
			this.ErrorProvider = new System.Windows.Forms.ErrorProvider();
			this.RemoteServerIPAddressLabel = new System.Windows.Forms.Label();
			this.PacketCaptureSettingsGroupBox.SuspendLayout();
			this.ProxyServerSettingsGroupBox.SuspendLayout();
			this.RemoteServerSettingsGroupBox.SuspendLayout();
			this.SuspendLayout();
			// 
			// OKFormButton
			// 
			this.OKFormButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.OKFormButton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.OKFormButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.OKFormButton.Location = new System.Drawing.Point(344, 272);
			this.OKFormButton.Name = "OKFormButton";
			this.OKFormButton.Size = new System.Drawing.Size(56, 24);
			this.OKFormButton.TabIndex = 13;
			this.OKFormButton.Text = "OK";
			this.OKFormButton.Click += new System.EventHandler(this.OKFormButtonClick);
			// 
			// UseProxyServerRadioButton
			// 
			this.UseProxyServerRadioButton.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.UseProxyServerRadioButton.Checked = true;
			this.UseProxyServerRadioButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.UseProxyServerRadioButton.Location = new System.Drawing.Point(8, 24);
			this.UseProxyServerRadioButton.Name = "UseProxyServerRadioButton";
			this.UseProxyServerRadioButton.Size = new System.Drawing.Size(128, 16);
			this.UseProxyServerRadioButton.TabIndex = 1;
			this.UseProxyServerRadioButton.TabStop = true;
			this.UseProxyServerRadioButton.Text = "Use Proxy Server:";
			this.UseProxyServerRadioButton.CheckedChanged += new System.EventHandler(this.UseProxyServerRadioButtonCheckedChanged);
			// 
			// PacketCaptureSettingsGroupBox
			// 
			this.PacketCaptureSettingsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.PacketCaptureSettingsGroupBox.Controls.Add(this.UseRawSocketsRadioButton);
			this.PacketCaptureSettingsGroupBox.Controls.Add(this.NetworkInterfaceComboBox);
			this.PacketCaptureSettingsGroupBox.Controls.Add(this.NetworkInterfaceLabel);
			this.PacketCaptureSettingsGroupBox.Controls.Add(this.UseWinPcapRadioButton);
			this.PacketCaptureSettingsGroupBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.PacketCaptureSettingsGroupBox.Location = new System.Drawing.Point(0, 96);
			this.PacketCaptureSettingsGroupBox.Name = "PacketCaptureSettingsGroupBox";
			this.PacketCaptureSettingsGroupBox.Size = new System.Drawing.Size(472, 80);
			this.PacketCaptureSettingsGroupBox.TabIndex = 4;
			this.PacketCaptureSettingsGroupBox.TabStop = false;
			this.PacketCaptureSettingsGroupBox.Text = "Packet Capture Settings";
			// 
			// CancelFormButton
			// 
			this.CancelFormButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.CancelFormButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.CancelFormButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.CancelFormButton.Location = new System.Drawing.Point(408, 272);
			this.CancelFormButton.Name = "CancelFormButton";
			this.CancelFormButton.Size = new System.Drawing.Size(56, 24);
			this.CancelFormButton.TabIndex = 14;
			this.CancelFormButton.Text = "Cancel";
			this.CancelFormButton.Click += new System.EventHandler(this.CancelFormButtonClick);
			// 
			// NetworkInterfaceComboBox
			// 
			this.NetworkInterfaceComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.NetworkInterfaceComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.NetworkInterfaceComboBox.Enabled = false;
			this.NetworkInterfaceComboBox.Location = new System.Drawing.Point(120, 50);
			this.NetworkInterfaceComboBox.Name = "NetworkInterfaceComboBox";
			this.NetworkInterfaceComboBox.Size = new System.Drawing.Size(328, 21);
			this.NetworkInterfaceComboBox.TabIndex = 7;
			// 
			// RemoteServerPortTextBox
			// 
			this.RemoteServerPortTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.RemoteServerPortTextBox.Location = new System.Drawing.Point(120, 48);
			this.RemoteServerPortTextBox.Name = "RemoteServerPortTextBox";
			this.RemoteServerPortTextBox.Size = new System.Drawing.Size(328, 21);
			this.RemoteServerPortTextBox.TabIndex = 12;
			this.RemoteServerPortTextBox.Text = "80";
			this.RemoteServerPortTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.RemoteServerPortTextBoxValidating);
			// 
			// ListeningPortTextBox
			// 
			this.ListeningPortTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.ListeningPortTextBox.Location = new System.Drawing.Point(120, 48);
			this.ListeningPortTextBox.Name = "ListeningPortTextBox";
			this.ListeningPortTextBox.Size = new System.Drawing.Size(328, 21);
			this.ListeningPortTextBox.TabIndex = 3;
			this.ListeningPortTextBox.Text = "7001";
			this.ListeningPortTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.ListeningPortTextBoxValidating);
			// 
			// RemoteServerTextBox
			// 
			this.RemoteServerTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.RemoteServerTextBox.Location = new System.Drawing.Point(120, 26);
			this.RemoteServerTextBox.Name = "RemoteServerTextBox";
			this.RemoteServerTextBox.Size = new System.Drawing.Size(328, 21);
			this.RemoteServerTextBox.TabIndex = 10;
			this.RemoteServerTextBox.Text = "localhost";
			this.RemoteServerTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.RemoteServerTextBoxValidating);
			// 
			// ProxyPortLabel
			// 
			this.ProxyPortLabel.Location = new System.Drawing.Point(8, 48);
			this.ProxyPortLabel.Name = "ProxyPortLabel";
			this.ProxyPortLabel.Size = new System.Drawing.Size(80, 16);
			this.ProxyPortLabel.TabIndex = 2;
			this.ProxyPortLabel.Text = "Listen On Port:";
			// 
			// NetworkInterfaceLabel
			// 
			this.NetworkInterfaceLabel.Location = new System.Drawing.Point(8, 48);
			this.NetworkInterfaceLabel.Name = "NetworkInterfaceLabel";
			this.NetworkInterfaceLabel.Size = new System.Drawing.Size(80, 16);
			this.NetworkInterfaceLabel.TabIndex = 6;
			this.NetworkInterfaceLabel.Text = "Interface:";
			// 
			// ProxyServerSettingsGroupBox
			// 
			this.ProxyServerSettingsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.ProxyServerSettingsGroupBox.Controls.Add(this.UseProxyServerRadioButton);
			this.ProxyServerSettingsGroupBox.Controls.Add(this.ListeningPortTextBox);
			this.ProxyServerSettingsGroupBox.Controls.Add(this.ProxyPortLabel);
			this.ProxyServerSettingsGroupBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.ProxyServerSettingsGroupBox.Location = new System.Drawing.Point(0, 8);
			this.ProxyServerSettingsGroupBox.Name = "ProxyServerSettingsGroupBox";
			this.ProxyServerSettingsGroupBox.Size = new System.Drawing.Size(472, 80);
			this.ProxyServerSettingsGroupBox.TabIndex = 0;
			this.ProxyServerSettingsGroupBox.TabStop = false;
			this.ProxyServerSettingsGroupBox.Text = "Proxy Server Settings";
			// 
			// RemoteServerSettingsGroupBox
			// 
			this.RemoteServerSettingsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
						| System.Windows.Forms.AnchorStyles.Right)));
			this.RemoteServerSettingsGroupBox.Controls.Add(this.RemoteServerPortTextBox);
			this.RemoteServerSettingsGroupBox.Controls.Add(this.RemoteServerPortLabel);
			this.RemoteServerSettingsGroupBox.Controls.Add(this.RemoteServerTextBox);
			this.RemoteServerSettingsGroupBox.Controls.Add(this.RemoteServerIPAddressLabel);
			this.RemoteServerSettingsGroupBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.RemoteServerSettingsGroupBox.Location = new System.Drawing.Point(0, 184);
			this.RemoteServerSettingsGroupBox.Name = "RemoteServerSettingsGroupBox";
			this.RemoteServerSettingsGroupBox.Size = new System.Drawing.Size(472, 80);
			this.RemoteServerSettingsGroupBox.TabIndex = 8;
			this.RemoteServerSettingsGroupBox.TabStop = false;
			this.RemoteServerSettingsGroupBox.Text = "Remote Server Settings";
			// 
			// UseWinPcapRadioButton
			// 
			this.UseWinPcapRadioButton.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.UseWinPcapRadioButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.UseWinPcapRadioButton.Location = new System.Drawing.Point(8, 24);
			this.UseWinPcapRadioButton.Name = "UseWinPcapRadioButton";
			this.UseWinPcapRadioButton.Size = new System.Drawing.Size(128, 16);
			this.UseWinPcapRadioButton.TabIndex = 5;
			this.UseWinPcapRadioButton.Text = "Use WinPcap:";
			this.UseWinPcapRadioButton.CheckedChanged += new System.EventHandler(this.UseWinPcapRadioButtonCheckedChanged);
			// 
			// UseRawSocketsRadioButton
			// 
			this.UseRawSocketsRadioButton.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.UseRawSocketsRadioButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.UseRawSocketsRadioButton.Location = new System.Drawing.Point(232, 24);
			this.UseRawSocketsRadioButton.Name = "UseRawSocketsRadioButton";
			this.UseRawSocketsRadioButton.Size = new System.Drawing.Size(128, 16);
			this.UseRawSocketsRadioButton.TabIndex = 8;
			this.UseRawSocketsRadioButton.Text = "Use Raw Sockets:";
			this.UseRawSocketsRadioButton.CheckedChanged += new System.EventHandler(this.UseRawSocketsRadioButtonCheckedChanged);
			// 
			// RemoteServerPortLabel
			// 
			this.RemoteServerPortLabel.Location = new System.Drawing.Point(8, 48);
			this.RemoteServerPortLabel.Name = "RemoteServerPortLabel";
			this.RemoteServerPortLabel.Size = new System.Drawing.Size(104, 16);
			this.RemoteServerPortLabel.TabIndex = 11;
			this.RemoteServerPortLabel.Text = "Remote Port:";
			// 
			// ErrorProvider
			// 
			this.ErrorProvider.ContainerControl = this;
			// 
			// RemoteServerIPAddressLabel
			// 
			this.RemoteServerIPAddressLabel.Location = new System.Drawing.Point(8, 24);
			this.RemoteServerIPAddressLabel.Name = "RemoteServerIPAddressLabel";
			this.RemoteServerIPAddressLabel.Size = new System.Drawing.Size(104, 16);
			this.RemoteServerIPAddressLabel.TabIndex = 9;
			this.RemoteServerIPAddressLabel.Text = "Remote Server:";
			// 
			// SettingsForm
			// 
			this.AcceptButton = this.OKFormButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.CancelButton = this.CancelFormButton;
			this.ClientSize = new System.Drawing.Size(472, 306);
			this.Controls.Add(this.PacketCaptureSettingsGroupBox);
			this.Controls.Add(this.ProxyServerSettingsGroupBox);
			this.Controls.Add(this.RemoteServerSettingsGroupBox);
			this.Controls.Add(this.CancelFormButton);
			this.Controls.Add(this.OKFormButton);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.MinimumSize = new System.Drawing.Size(480, 330);
			this.Name = "SettingsForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Settings";
			this.PacketCaptureSettingsGroupBox.ResumeLayout(false);
			this.ProxyServerSettingsGroupBox.ResumeLayout(false);
			this.RemoteServerSettingsGroupBox.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		private System.Windows.Forms.Label RemoteServerIPAddressLabel;
		private System.Windows.Forms.ErrorProvider ErrorProvider;
		private System.Windows.Forms.Label RemoteServerPortLabel;
		private System.Windows.Forms.RadioButton UseRawSocketsRadioButton;
		private System.Windows.Forms.RadioButton UseWinPcapRadioButton;
		private System.Windows.Forms.GroupBox RemoteServerSettingsGroupBox;
		private System.Windows.Forms.GroupBox ProxyServerSettingsGroupBox;
		private System.Windows.Forms.Label NetworkInterfaceLabel;
		private System.Windows.Forms.Label ProxyPortLabel;
		private System.Windows.Forms.TextBox RemoteServerTextBox;
		private System.Windows.Forms.TextBox ListeningPortTextBox;
		private System.Windows.Forms.TextBox RemoteServerPortTextBox;
		private System.Windows.Forms.ComboBox NetworkInterfaceComboBox;
		private System.Windows.Forms.Button CancelFormButton;
		private System.Windows.Forms.GroupBox PacketCaptureSettingsGroupBox;
		private System.Windows.Forms.RadioButton UseProxyServerRadioButton;
		private System.Windows.Forms.Button OKFormButton;
	}
}
